<TeXmacs|1.0.0.4>

<style|<tuple|article|vdh>>

<\body>
  <surround|||<\expand|make-title>
    <title|Operators on generalized power series>

    <author|Joris van der Hoeven>

    <address|Dpt. de Mathmatiques (bt. 425)<format|next line>Universit
    Paris-Sud<format|next line>91405 Orsay CEDEX<format|next line>France>

    <expand|title-date|<date|>>
  </expand>>

  <\abstract>
    Given a ring <with|mode|math|C> and a totally (resp. partially) ordered
    set of ``monomials'' <with|mode|math|<value|MM>>, Hahn (resp. Higman)
    defined the set of power series <with|mode|math|C[[<value|MM>]]> with
    well-ordered (resp. Noetherian or well-quasi-ordered) support in
    <with|mode|math|<value|MM>>. This set <with|mode|math|C[[<value|MM>]]>
    can usually be given a lot of additional structure: if <with|mode|math|C>
    is a field and <with|mode|math|<value|MM>> a totally ordered group, then
    Hahn proved that <with|mode|math|C[[<value|MM>]]> is a field. More
    recently, we have constructed fields of ``transseries'' of the form
    <with|mode|math|C[[<value|MM>]]> on which we defined natural derivations
    and compositions.

    In this paper we develop an operator theory for generalized power series
    of the above form. We first study linear and multilinear operators. We
    next isolate a big class of so-called Noetherian operators
    <with|mode|math|\<Phi\>:C[[<value|MM>]]\<rightarrow\>C[[<value|MN>]]>,
    which include (when defined) summation, multiplication, differentiation,
    composition, etc. Our main result is the proof of an implicit function
    theorem for Noetherian operators. This theorem may be used to explicitly
    solve very general types of functional equations in generalized power
    series.
  </abstract>

  <section|Introduction>

  In <apply|cite|Hahn1907>, Hahn introduced an abstract framework for
  algebraic computations on power series with generalized exponents like

  <expand|eqnarray*|<tformat|<table|<row|<cell|f>|<cell|=>|<cell|1+z<rsup|log
  2>+z<rsup|log 3>+z<rsup|log 4>+\<cdots\><space|0.6spc>;>>|<row|<cell|g>|<ce\
  ll|=>|<cell|1+z+z<rsup|2>+z<rsup|e>+z<rsup|3>+z<rsup|1+e>+z<rsup|4>+z<rsup|\
  2+e>+z<rsup|5>+z<rsup|2*e>+z<rsup|3+e>+\<cdots\><space|0.6spc>;>>|<row|<cel\
  l|h>|<cell|=>|<cell|1+z<rsup|1/2>+z<rsup|3/4>+z<rsup|7/8>+\<cdots\>+z+z<rsu\
  p|3/2>+z<rsup|7/4>+\<cdots\>+z<rsup|2>+\<cdots\>+\<cdots\>.>>>>>

  One of his main results states that, given a field <with|mode|math|C> and a
  totally ordered monomial group <with|mode|math|<value|MM>>, the set
  <with|mode|math|C[[<value|MM>]]> of series
  <with|mode|math|f:C\<rightarrow\><value|MM>> with well-ordered support in
  <with|mode|math|<value|MM>> carries a natural field structure. This result
  was generalized by Higman <apply|cite|Hig52> to the case of partially
  ordered monomial monoids <with|mode|math|<value|MM>>.

  More recently, Dahn and Gring <apply|cite|DG86> and calle
  <apply|cite|Ec92> constructed so-called fields of ``transseries'', which
  are fields of generalized power series <with|mode|math|C[[<value|MM>]]> in
  the sense of Hahn, with additional structure, such as exponentiation,
  differentiation, integration, composition, etc. Examples of transseries are

  <expand|eqnarray*|<tformat|<table|<row|<cell|\<varphi\>>|<cell|=>|<cell|x+l\
  og x+log log x+log log log x+\<cdots\><space|0.6spc>;>>|<row|<cell|\<psi\>>\
  |<cell|=>|<cell|e<rsup|e<rsup|x>+e<rsup|x/2>+e<rsup|x/3>+\<cdots\>>+e<rsup|\
  e<rsup|x/2>><rsup|+e<rsup|x/3>+e<rsup|x/4>+\<cdots\>>+e<rsup|e<rsup|x/3>+e<\
  rsup|x/4>+e<rsup|x/5>+\<cdots\>>+\<cdots\><space|0.6spc>;>>|<row|<cell|\<xi\
  \>>|<cell|=>|<cell|\<Gamma\>(x)=<sqrt|2*\<pi\>>*e<rsup|x*log
  x-x-<frac|1|2>*log x>+\<cdots\>>>>>>

  In <apply|cite|vdH:phd>, we have shown how to differentiate, integrate and
  compose such transseries, and how to solve algebraic differential equations
  (whenever possible).

  In this paper, we will be concerned with the development of an abstract
  operator theory for generalized power series, in the setting of partially
  ordered monomial sets introduced by Higman. We start by recalling some
  basic results about Noetherian orderings (also called well-quasi-orderings)
  in section <reference|op::no>. In Higman's setting, generalized power
  series have Noetherian support. For this reason, we shall actually call
  them Noetherian series.

  In section <reference|op::ns>, we recall the definition of Noetherian
  series and develop the theory of strongly linear and strongly multilinear
  operators. More precisely, it is possible to define a notion of infinite
  summation on algebras <with|mode|math|C[[<value|MM>]]> of Noetherian power
  series. One may think of this as something analoguous to normal summable
  families in analysis. Strongly linear mappings will then be linear mappings
  which also preserve infinite summation.

  The remainder of this article focuses on the resolution of certain
  functional equations. Translated into the terminology of operators, this
  comes down to the isolation of nice classes of operators on which some kind
  of implicit function theorem holds (actually, we will rather prove
  ``parameterized fixed point theorems''). As a basic example, one would like
  to solve implicit equations like

  <equation|f=g+f<rprime|'>*f<rprime|''><label|impl-eq-ex>>

  in fields of transseries, where <with|mode|math|g> is a sufficiently small
  parameter (say <with|mode|math|g=o(e<rsup|-x>)>) and <with|mode|math|f> the
  unknown.

  In section <reference|op::top>, we start by developing a theory of
  continuous and contracting functions for Noetherian series and we will
  prove the existence of a solution <with|mode|math|f=\<Psi\>(g)> to
  equations like (<reference|impl-eq-ex>) using the technique of fixed
  points. Actually, we will prove an implicit function theorem which is very
  similar to fixed point theorems from <apply|cite|PrCr90> and
  <apply|cite|PrCrRib93>, although our proof is more constructive.

  A more natural and even more explicit way of getting solutions to
  (<reference|impl-eq-ex>) would be to replace the left hand side by the
  right hand side in a recursive manner, while expanding all sums. This would
  lead to a formal solution of the form

  <expand|eqnarray*|<tformat|<table|<row|<cell|f>|<cell|=>|<cell|g+f<rprime|'\
  >*f<rprime|''>>>|<row|<cell|>|<cell|=>|<cell|g+g<rprime|'>*g<rprime|''>+(f<\
  rprime|'>*f<rprime|''>)<rprime|'>*g<rprime|''>+g<rprime|'>*(f<rprime|'>*f<r\
  prime|''>)<rprime|''>+(f<rprime|'>*f<rprime|''>)<rprime|'>*(f<rprime|'>*f<r\
  prime|''>)<rprime|''>>>|<row|<cell|>|<cell|=>|<cell|g+g<rprime|'>*g<rprime|\
  ''>+(g<rprime|'>*g<rprime|''>)<rprime|'>*g<rprime|''>+g<rprime|'>*(g<rprime\
  |'>*g<rprime|''>)<rprime|''>+\<cdots\>.>>>>>

  The main difficulty then resides in proving that the obtained formal
  expansion is indeed summable in our generalized sense. In sections
  <reference|op::nop> and <reference|op::ift>, we will prove that this is
  indeed the case for a suitable class of ``Noetherian operators''.

  <section|Noetherian orderings><label|op::no>

  Throughout this paper, orderings are understood to be partial, except when
  we explicitly state them to be total. Actually, almost all ordered sets
  considered in this paper are <with|font shape|italic|monomial sets>, and we
  denote them by fraktur letters <with|mode|math|<value|MM>,<value|MN>,\<ldot\
  s\>>. We denote by <with|mode|math|\<succcurlyeq\>> (or by
  <with|mode|math|\<succcurlyeq\><rsub|<value|MM>>,\<succcurlyeq\><rsub|<valu\
  e|MN>>,\<ldots\>>) the orderings on such monomial sets. Usually,
  <with|mode|math|<value|MM>> is even a <with|font shape|italic|monomial
  monoid> or <with|font shape|italic|group>, on which the multiplication is
  assumed to be compatible with the ordering, i.e.

  <expand|equation*|<value|mm>\<preccurlyeq\><value|mn><space|1spc>\<Leftrigh\
  tarrow\><space|1spc><value|mm>*<value|mv>\<preccurlyeq\><value|mn>*<value|m\
  v><space|1spc>\<Leftrightarrow\><space|1spc><value|mv>*<value|mm>\<preccurl\
  yeq\><value|mv>*<value|mn>,>

  for all <with|mode|math|<value|mm>,<value|mn>,<value|mv>\<in\><value|MM>>.

  <\example>
    <label|ex-orderings>

    <\expand|enumerate-numeric>
      <item><with|mode|math|<value|MM>={x<rsup|\<alpha\>>*e<rsup|\<beta\>*x>\\
      |\<alpha\>,\<beta\>\<in\><with|math font|Bbb*|R>}> with
      <with|mode|math|x<rsup|\<alpha\>>*e<rsup|\<beta\>*x>\<succcurlyeq\>1\<L\
      eftrightarrow\>(\<beta\>\<gtr\>0\<vee\>(\<beta\>=0\<wedge\>\<alpha\>\<g\
      tr\>0))> is a totally ordered monomial group.

      <item>If <with|mode|math|<value|MM>> and <with|mode|math|<value|MN>>
      are monomial sets, then their disjoint union
      <with|mode|math|<value|MM>\<amalg\><value|MN>> is naturally ordered, by
      taking the orderings on <with|mode|math|<value|MM>> and
      <with|mode|math|<value|MN>> on each part of the disjoint union, and by
      taking <with|mode|math|<value|MM>> and <with|mode|math|<value|MN>>
      mutually incomparable in <with|mode|math|<value|MM>\<amalg\><value|MN>>\
      .

      <item>If <with|mode|math|<value|MM>> and <with|mode|math|<value|MN>>
      are monomial sets, then the Cartesian product
      <with|mode|math|<value|MM>\<times\><value|MN>> is naturally ordered by
      <with|mode|math|(<value|mm>,<value|mn>)<space|0.4spc>\<succcurlyeq\><rs\
      ub|<value|MM>\<times\><value|MN>><space|0.4spc>(<value|mm><rprime|'>,<v\
      alue|mn><rprime|'>)<space|0.4spc>\<Leftrightarrow\><space|0.4spc><value\
      |mm><space|0.4spc>\<succcurlyeq\><rsub|<value|MM>><space|0.4spc><value|\
      mm><rprime|'>\<wedge\><value|mn><space|0.4spc>\<succcurlyeq\><rsub|<val\
      ue|MN>><space|0.4spc><value|mn><rprime|'>>.

      <item>Let <with|mode|math|<value|MM><rsup|\<star\>>> be the set of
      <with|font shape|italic|non-commutative words> over a monomial set
      <with|mode|math|<value|MM>> (and where one may think of the elements of
      <with|mode|math|<value|MM>> as infinitesimals). Such words are denoted
      by sequences <with|mode|math|<value|mm><rsub|1>*\<cdots\>*<value|mm><rs\
      ub|m>>, with <with|mode|math|<value|mm><rsub|1>,\<ldots\>,<value|mm><rs\
      ub|m>\<in\><value|MM>>. The empty word is denoted by
      <with|mode|math|\<varepsilon\>>. The set
      <with|mode|math|<value|MM><rsup|\<star\>>> is ``naturally'' ordered by
      <with|mode|math|<value|mm><rsub|1>*\<cdots\>*<value|mm><rsub|m><space|0\
      .4spc>\<succcurlyeq\><rsub|<value|MM><rsup|\<star\>>><space|0.4spc><val\
      ue|mn><rsub|1>*\<cdots\>*<value|mn><rsub|n>>, if and only if there
      exists a strictly increasing mapping
      <with|mode|math|\<varphi\>:{1,\<ldots\>,m}\<rightarrow\>{1,\<ldots\>,n}\
      >, such that <with|mode|math|<value|mm><rsub|i><space|0.4spc>\<succcurl\
      yeq\><rsub|<value|MM>><space|0.4spc><value|mn><rsub|\<varphi\>(i)>> for
      all <with|mode|math|i>.
    </expand>
  </example>

  Let <with|mode|math|<value|MM>> be a monomial set. A <with|font
  shape|italic|chain> in <with|mode|math|<value|MM>> is a subset of
  <with|mode|math|<value|MM>> which is totally ordered for the induced
  ordering. An <with|font shape|italic|antichain> is a subset of
  <with|mode|math|<value|MM>> of pairwise incomparable elements. The ordering
  on <with|mode|math|<value|MM>> is said to be <with|font
  shape|italic|well-founded>, if there are no infinite sequences
  <with|mode|math|<value|mm><rsub|1>\<prec\><value|mm><rsub|2>\<prec\>\<cdots\
  \>> of elements in <with|mode|math|<value|MM>>. A <with|font
  shape|italic|Noetherian> ordering is a well-founded ordering without
  infinite antichains.

  <remark|In the literature, an ordered set <with|mode|math|(E,\<leqslant\>)>
  is usually said to be well-founded, if there are no infinite sequences
  <with|mode|math|x<rsub|1>\<gtr\>x<rsub|2>\<gtr\>\<cdots\>> of elements in
  <with|mode|math|E>. This definition is compatible with ours, if one
  interprets a monomial set <with|mode|math|<value|MM>> to be ordered by the
  opposite ordering <with|mode|math|\<succcurlyeq\>> of
  <with|mode|math|\<preccurlyeq\>> (as we did).>

  Let <with|mode|math|<value|MM>> be a monomial set. A <with|font
  shape|italic|final segment> is a subset <with|mode|math|<value|MF>> of
  <with|mode|math|<value|MM>>, such that <with|mode|math|<value|mm>\<in\><val\
  ue|MF>\<wedge\><value|mm>\<succcurlyeq\><value|mn>\<Rightarrow\><value|mn>\\
  <in\><value|MF>>, for all <with|mode|math|<value|mm>,<value|mn>\<in\><value\
  |MM>>. Given an arbitrary subset <with|mode|math|<apply|MS>> of
  <with|mode|math|<value|MM>>, we denote by
  <with|mode|math|(<apply|MS>)={<value|mn>\<in\><value|MM>\|\<exists\><value|\
  mm>\<in\><apply|MS>,<value|mm>\<succcurlyeq\><value|mn>}> the final segment
  <with|font shape|italic|generated> by <with|mode|math|<apply|MS>>. Dually,
  an <with|font shape|italic|initial segment> is a subset
  <with|mode|math|<value|MI>> of <with|mode|math|<value|MM>>, such that
  <with|mode|math|<value|mn>\<in\><value|MI>\<wedge\><value|mm>\<succcurlyeq\\
  ><value|mn>\<Rightarrow\><value|mm>\<in\><value|MI>>, for all
  <with|mode|math|<value|mm>,<value|mn>\<in\><value|MM>>. The following
  characterizations of Noetherian orderings are classical <apply|cite|Mil85>,
  <apply|cite|Pou85>.

  <\surround||<htab|5mm><with|mode|math|\<box\>>>
    <\proposition>
      <label|Noetherian>Let <with|mode|math|<value|MM>> be a monomial set.
      Then the following are equivalent:

      <\expand|enumerate-alpha>
        <item>The ordering <with|mode|math|\<succcurlyeq\>> on
        <with|mode|math|<value|MM>> is Noetherian.

        <item>Any final segment of <with|mode|math|<value|MM>> is finitely
        generated.

        <item>The ascending chain condition w.r.t. inclusion holds for final
        segments of <with|mode|math|<value|MM>>.

        <item>Each sequence <with|mode|math|<value|mm><rsub|1>,<value|mm><rsu\
        b|2>,\<ldots\>\<in\><value|MM>> admits a subsequence
        <with|mode|math|<value|mm><rsub|i<rsub|1>>\<succcurlyeq\><value|mm><r\
        sub|i<rsub|2>>\<succcurlyeq\>\<cdots\>>.

        <item>Any extension of the ordering on <with|mode|math|<value|MM>> to
        a total ordering on <with|mode|math|<value|MM>> yields a
        well-ordering.
      </expand>
    </proposition>
  </surround>

  The most elementary examples of Noetherian orderings are well-orderings,
  and orderings on finite sets. Proposition <reference|Noetherian> allows us
  to construct more complicated Noetherian orderings from simpler ones:

  <\surround||<htab|5mm><with|mode|math|\<box\>>>
    <\proposition>
      <label|make-Noetherian>Assume that <with|mode|math|<value|MM>> and
      <with|mode|math|<value|MN>> are Noetherian monomial sets. Then

      <surround|||<\expand|enumerate-alpha>
        <item>Any subset of <with|mode|math|<value|MM>> with the induced
        ordering is Noetherian.

        <item>Let <with|mode|math|<value|MM>\<rightarrow\><value|MV>> be an
        increasing mapping into a monomial set <with|mode|math|<value|MV>>.
        Then <with|mode|math|Im \<varphi\>> is Noetherian.

        <item>Any extension of the ordering <with|mode|math|\<succcurlyeq\>>
        on <with|mode|math|<value|MM>> is Noetherian.

        <item><with|mode|math|<value|MM>\<amalg\><value|MN>> is Noetherian.

        <item><with|mode|math|<value|MM>\<times\><value|MN>> is Noetherian.
      </expand>>
    </proposition>
  </surround>

  The following theorem is due to Higman <apply|cite|Hig52>. We will recall a
  proof due to Nash-Williams <apply|cite|NW63>, because a similar proof
  technique will be used in section <reference|op::iterchoice>.

  <theorem|Let <with|mode|math|<value|MM>> be a Noetherian monomial set. Then
  <with|mode|math|<value|MM><rsup|\<star\>>> is Noetherian.>

  <surround||<vspace|2fn>|<\proof>
    We say that <with|mode|math|<value|mn><rsub|1>,<value|mn><rsub|2>,\<ldots\
    \>> is a <with|font shape|italic|bad sequence> in
    <with|mode|math|<value|MM><rsup|\<star\>>>, if there do not exist
    <with|mode|math|i\<less\>j> with <with|mode|math|<value|mn><rsub|i><space\
    |0.4spc>\<succcurlyeq\><rsub|<value|MM><rsup|\<star\>>><space|0.4spc><val\
    ue|mn><rsub|j>>. An ordering is Noetherian if and only if there are no
    bad sequences. Now assume for contradiction that
    <with|mode|math|<value|mn><rsub|1>,<value|mn><rsub|2>,\<ldots\>> is a bad
    sequence in <with|mode|math|<value|MM><rsup|\<star\>>>. Without loss of
    generality, we may assume that each <with|mode|math|<value|mn><rsub|i>>
    is chosen in <with|mode|math|<value|MM><rsup|\<star\>>\\(<value|mn><rsub|\
    1>,\<ldots\>,<value|mn><rsub|i-1>)> such that it has minimal length as a
    word. We say that <with|mode|math|<value|mn><rsub|1>,<value|mn><rsub|2>,\\
    <ldots\>> is a <with|font shape|italic|minimal bad sequence>.

    Now for all <with|mode|math|i>, we must have
    <with|mode|math|<value|mn><rsub|i>\<neq\>\<varepsilon\>>, so we can
    factorize <with|mode|math|<value|mn><rsub|i>=<value|mm><rsub|i*>*<value|m\
    v><rsub|i>>, where <with|mode|math|<value|mm><rsub|i>> is the first
    letter of <with|mode|math|<value|mn><rsub|i>>. By proposition
    <reference|Noetherian>(<with|font shape|italic|d>), we can extract a
    sequence <with|mode|math|<value|mm><rsub|i<rsub|1>><space|0.4spc>\<succcu\
    rlyeq\><rsub|<value|MM>><space|0.4spc><value|mm><rsub|i<rsub|2>><space|0.\
    4spc>\<succcurlyeq\><rsub|<value|MM>><space|0.4spc>\<cdots\>> from
    <with|mode|math|<value|mm><rsub|1>,<value|mm><rsub|2>,\<ldots\>>. Now
    consider the sequence <with|mode|math|<value|mn><rsub|1>,\<ldots\>,<value\
    |mn><rsub|i<rsub|1>-1>,<value|mv><rsub|i<rsub|1>>,<value|mv><rsub|i<rsub|\
    2>>,\<ldots\>>. By the minimality of <with|mode|math|<value|mn><rsub|1>,<\
    value|mn><rsub|2>,\<ldots\>>, this sequence is good. Hence, there exist
    <with|mode|math|j\<less\>i<rsub|1>> and <with|mode|math|k> with
    <with|mode|math|<value|mn><rsub|j><space|0.4spc>\<succcurlyeq\><rsub|<val\
    ue|MM><rsup|\<star\>>><space|0.4spc><value|mv><rsub|i<rsub|k>>>, or
    <with|mode|math|j\<less\>k> with <with|mode|math|<value|mv><rsub|i<rsub|j\
    >><space|0.4spc>\<succcurlyeq\><rsub|<value|MM><rsup|\<star\>>><space|0.4\
    spc><value|mv><rsub|i<rsub|k>>>. But then,
    <with|mode|math|<value|mn><rsub|j><space|0.4spc>\<succcurlyeq\><rsub|<val\
    ue|MM><rsup|\<star\>>><space|0.4spc><value|mv><rsub|i<rsub|k>><space|0.4s\
    pc>\<succcurlyeq\><rsub|<value|MM><rsup|\<star\>>><space|0.4spc><value|mm\
    ><rsub|i<rsub|k>>*<value|mv><rsub|i<rsub|k>>=<value|mn><rsub|i<rsub|k>>>
    resp. <with|mode|math|<value|mn><rsub|i<rsub|j>>=<value|mm><rsub|i<rsub|j\
    >>*<value|mv><rsub|i<rsub|j>><space|0.4spc>\<succcurlyeq\><rsub|<value|MM\
    ><rsup|\<star\>><rsup|>><space|0.4spc><value|mm><rsub|i<rsub|k>>*<value|m\
    v><rsub|i<rsub|k>>=<value|mn><rsub|i<rsub|k>>>. This contradicts the
    badness of <with|mode|math|<value|mn><rsub|1>,<value|mn><rsub|2>,\<ldots\\
    >>.
  </proof>>

  <section|Noetherian series><label|op::ns>

  <subsection|Noetherian series and infinite summation>

  Let <with|mode|math|C> be a commutative additive group of <with|font
  shape|italic|coefficients> and <with|mode|math|<value|MM>> a set of
  monomials. The <with|font shape|italic|support> of a mapping
  <with|mode|math|f:<value|MM>\<rightarrow\>C> is defined by

  <expand|equation*|supp f={<value|mm>\<in\><value|MM>\|f(<value|mm>)\<neq\>0\
  }.>

  If <with|mode|math|supp f> is Noetherian for the induced ordering, then we
  call <with|mode|math|f> a <with|font shape|italic|generalized power series>
  or a <with|font shape|italic|Noetherian series>. We denote the set of all
  Noetherian series with coefficients in <with|mode|math|C> and monomials in
  <with|mode|math|<value|MM>> by <with|mode|math|C[[<value|MM>]]>. We also
  write <with|mode|math|f<rsub|<value|mm>>=f(<value|mm>)> for the <with|font
  shape|italic|coefficient> of <with|mode|math|<value|mm>\<in\><value|MM>> in
  such a series and <with|mode|math|<big|sum><rsub|<value|mm>\<in\><value|MM>\
  >f<rsub|<value|mm>>*<value|mm>> for <with|mode|math|f>. Each
  <with|mode|math|f<rsub|<value|mm>>*<value|mm>> with
  <with|mode|math|<value|mm>\<in\>supp f> is called a <with|font
  shape|italic|term> occurring in <with|mode|math|f>.

  Given two Noetherian series <with|mode|math|f,g\<in\><value|MM>>, we define
  their sum by

  <expand|equation*|f+g=<big|sum><rsub|<value|mm>\<in\>supp f\<cup\>supp
  g>(f<rsub|<value|mm>>+g<rsub|<value|mm>>)*<value|mm>.>

  This gives <with|mode|math|C[[<value|MM>]]> the structure of a commutative
  group. More generally, consider a family
  <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>> of series in
  <with|mode|math|C[[<value|MM>]]>. We say that
  <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>> is a <with|font
  shape|italic|Noetherian family>, if <with|mode|math|<big|cup><rsub|i\<in\>I\
  >supp f<rsub|i>> is Noetherian and for each
  <with|mode|math|<value|mm>\<in\><value|MM>> there exist only a finite
  number of <with|mode|math|i\<in\>I> such that
  <with|mode|math|<value|mm>\<in\>supp f<rsub|i>>. In that case, we define
  its sum by

  <equation|<big|sum><rsub|i\<in\>I>f<rsub|i>=<big|sum><rsub|<value|mm>\<in\>\
  <value|MM>><left|(><big|sum><rsub|i\<in\>I>f<rsub|i,<value|mm>><right|)>*<v\
  alue|mm>.<label|grid-fam>>

  This sum is again a Noetherian series. In particular, given a series
  <with|mode|math|f\<in\>C[[<value|MM>]]>, the family
  <with|mode|math|(f<rsub|<value|mm>>*<format|no line
  break><value|mm>)<rsub|<value|mm>\<in\>supp f>> is Noetherian and we have
  <with|mode|math|f=<big|sum><rsub|<value|mm>\<in\>supp
  f>f<rsub|<value|mm>>*<value|mm>> in the sense of (<reference|grid-fam>).

  It is useful to see <with|mode|math|C[[<value|MM>]]> as a <with|font
  shape|italic|strong commutative group>, i.e. a commutative group with an
  additional ``infinite summation structure'' on it. In our case, this
  structure is reflected through the infinite summation of Noetherian
  families; it satisfies the following fundamental properties:

  <\proposition>
    <label|slin-prop>

    <\expand|enumerate-alpha>
      <item>Any zero family <with|mode|math|(0)<rsub|i\<in\>I>> is
      Noetherian, and <with|mode|math|<big|sum><rsub|i>0=0><with|mode|math|>.

      <item>For any <with|mode|math|f<rsub|1>\<in\>[[<value|MM>]]>, the
      family <with|mode|math|(f<rsub|i>)<rsub|i\<in\>{1}>> is Noetherian, and
      <with|mode|math|<big|sum><rsub|i\<in\>{1}>f<rsub|i>=f<rsub|1>><with|mod\
      e|math|>.

      <item>If <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<value|MM>]\
      ]<rsup|I>> and <with|mode|math|(f<rsub|i>)<rsub|i\<in\>J>\<in\>C[[<valu\
      e|MM>]]<rsup|J>> are Noetherian and
      <with|mode|math|I\<cap\>J=\<varnothing\>>, then
      <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I\<amalg\>J>> is Noetherian and
      <with|mode|math|<big|sum><rsub|i\<in\>I\<amalg\>J>f<rsub|i>=<big|sum><r\
      sub|i\<in\>I>f<rsub|i>+<big|sum><rsub|i\<in\>J>f<rsub|i>>.

      <item>If <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<value|MM>]\
      ]<rsup|I>> is a Noetherian family, then for any bijective mapping
      <with|mode|math|\<varphi\>:J\<rightarrow\>I>, the family
      <with|mode|math|(f<rsub|\<varphi\>(j)>)<rsub|j\<in\>J>> is Noetherian,
      and <with|mode|math|<big|sum><rsub|j\<in\>J>f<rsub|\<varphi\>(j)>=<spac\
      e|-0.4spc><big|sum><rsub|i\<in\>I>f<rsub|i>>.

      <item>If <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<value|MM>]\
      ]<rsup|I>> is a Noetherian family and
      <with|mode|math|I=<big|amalg><rsub|j\<in\>J>I<rsub|j>> a decomposition
      of <with|mode|math|I> into pairwise disjoint subsets, then
      <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I<rsub|j>>> is a Noetherian
      family for each <with|mode|math|j\<in\>J>,
      <with|mode|math|(<big|sum><rsub|i\<in\>I<rsub|j>>f<rsub|i>)<rsub|j\<in\\
      >J>> is a Noetherian family, and <with|mode|math|<big|sum><rsub|j\<in\>\
      J><big|sum><rsub|i\<in\>I<rsub|j>>f<rsub|i>=<big|sum><rsub|i\<in\>I>f<r\
      sub|i>>.
    </expand>
  </proposition>

  <\proof>
    All properties are straightforward to prove. For illustration, we will
    prove (<with|font shape|italic|e>). Let
    <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<value|MM>]]<rsup|I>>
    be a Noetherian family and let <with|mode|math|I=<big|amalg><rsub|j\<in\>\
    J>I<rsub|j>> a partition of <with|mode|math|I>. For each
    <with|mode|math|<value|mm>\<in\><value|MM>> and
    <with|mode|math|j\<in\>J>, let <with|mode|math|I<rsub|;<value|mm>>={i\<in\
    \>I\|f<rsub|i,<value|mm>>\<neq\>0}> and
    <with|mode|math|I<rsub|j;<value|mm>>=I<rsub|j>\<cap\>I<rsub|;<value|mm>>>\
    , so that

    <equation|I<rsub|;<value|mm>>=<big|amalg><rsub|j\<in\>J>I<rsub|j;<value|m\
    m>>.<label|m-part>>

    <with|mode|math|>Now <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I<rsub|j>>>
    is a Noetherian family for all <with|mode|math|j\<in\>J>, since
    <with|mode|math|<big|cup><rsub|i\<in\>I<rsub|j>>supp
    f<rsub|i>\<subseteq\><big|cup><rsub|i\<in\>I>supp f<rsub|i>> and
    <with|mode|math|I<rsub|j;<value|mm>>\<subseteq\>I<rsub|;<value|mm>>> is
    finite for all <with|mode|math|<value|mm>\<in\><value|MM>>. Furthermore,
    <with|mode|math|<big|cup><rsub|j\<in\>J>supp
    <big|sum><rsub|i\<in\>I<rsub|j>>f<rsub|i>\<subseteq\><big|cup><rsub|j\<in\
    \>J><big|cup><rsub|i\<in\>I<rsub|j>>supp
    f<rsub|i>=<big|cup><rsub|i\<in\>I>supp f<rsub|i>> and for all
    <with|mode|math|<value|mm>\<in\><value|MM>>, the set
    <with|mode|math|{j\<in\>J\|<left|(><big|sum><rsub|i\<in\>I<rsub|j>>f<rsub\
    |j><right|)><rsub|<value|mm>>\<neq\>0}\<subseteq\>{j\<in\>J\|I<rsub|j;<va\
    lue|mm>>\<neq\>\<varnothing\>}> is finite, because of
    (<reference|m-part>). Hence, the family
    <with|mode|math|<left|(><big|sum><rsub|i\<in\>I<rsub|j>>f<rsub|i><right|)\
    ><rsub|j\<in\>J>> is Noetherian and for all
    <with|mode|math|<value|mm>\<in\><value|MM>>, we have

    <expand|equation*|<left|(><big|sum><rsub|j\<in\>J><big|sum><rsub|i\<in\>I\
    <rsub|j>>f<rsub|i><right|)><rsub|<value|mm>>=<big|sum><rsub|j\<in\>J><big\
    |sum><rsub|i\<in\>I<rsub|j;<value|mm>>>f<rsub|i,<value|mm>>=<big|sum><rsu\
    b|i\<in\>I<rsub|;<value|mm>>>f<rsub|i,<value|mm>>=<left|(><big|sum><rsub|\
    i\<in\>I>f<rsub|i><right|)><rsub|<value|mm>>.>

    This proves (<with|font shape|italic|e>).
  </proof>

  <\remark>
    <label|prod-ident>Given two monomial sets <with|mode|math|<value|MM>> and
    <with|mode|math|<value|MN>>, it is often convenient to identify
    <with|mode|math|C[[<value|MM>]]\<times\>C[[<value|MN>]]=C[[<value|MM>]]\<\
    oplus\>C[[<value|MN>]]> with <with|mode|math|C[[<value|MM>\<amalg\><value\
    |MN>]]> via the natural isomorphism

    <expand|eqnarray*|<tformat|<table|<row|<cell|C[[<value|MM>\<amalg\><value\
    |MN>]]>|<cell|\<rightarrow\>>|<cell|C[[<value|MM>]]\<times\>C[[<value|MN>\
    ]]>>|<row|<cell|f>|<cell|\<mapsto\>>|<cell|<with|formula
    style|false|(<big|sum><rsub|<value|mm>\<in\><value|MM>>f<rsub|<value|mm>>\
    *<value|mm>,<big|sum><rsub|<value|mn>\<in\><value|MN>>f<rsub|<value|mn>>*\
    <value|mn>).>>>>>>

    In particular multivariate operators <with|mode|math|\<Phi\>:C[[<value|MM\
    ><rsub|1>]]\<times\>\<cdots\>\<times\>C[[<value|MM><rsub|m>]]\<rightarrow\
    \>C[[<value|MN><rsub|1>]]\<times\>\<cdots\>\<times\>C[[<value|MN><rsub|n>\
    ]]> may actually be regarded as a univariate operators
    <with|mode|math|\<Phi\>:C[[<value|MM><rsub|1>\<amalg\>\<cdots\>\<amalg\><\
    value|MM><rsub|m>]]\<rightarrow\>C[[<value|MN><rsub|1>\<amalg\>\<cdots\>\\
    <amalg\><value|MN><rsub|m>]]>. Similarly, given a monomial set
    <with|mode|math|<value|MM>>, the Noetherian families
    <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<value|MM>]]<rsup|I>>
    may be identified with series in <with|mode|math|C[[I\<times\><value|MM>]\
    ]>, where <with|mode|math|I\<times\><value|MM>> is strictly ordered by
    <with|mode|math|(i,<value|mm>)\<prec\>(j,<value|mn>)\<Leftrightarrow\><va\
    lue|mm>\<prec\><value|mn>>. We may thus view an operator
    <with|mode|math|\<Phi\>:C[[I\<times\><value|MM>]]\<rightarrow\>C[[<value|\
    MN>]]> as an operator ``in infinitely many variables'', which assigns to
    each Noetherian family <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[\
    [<value|MM>]]<rsup|I>> a series in <with|mode|math|C[[<value|MN>]]>.
  </remark>

  <subsection|Algebras of Noetherian series>

  Assume now that <with|mode|math|C> is a (not necessarily commutative) ring,
  and <with|mode|math|<value|MM>> a (not necessarily commutative) monomial
  monoid. Then we may naturally see <with|mode|math|C> and
  <with|mode|math|<value|MM>> as subsets of <with|mode|math|C[[<value|MM>]]>
  via <with|mode|math|c\<mapsto\>c\<cdot\>1> resp.
  <with|mode|math|<value|mm>\<mapsto\>1\<cdot\><value|mm>>. Given
  <with|mode|math|f> and <with|mode|math|g> in
  <with|mode|math|C[[<value|MM>]]>, we define their product by

  <expand|equation*|f*g=<big|sum><rsub|(<value|mm>,<value|mn>)\<in\>supp
  f\<times\>supp g>f<rsub|<value|mm>>*g<rsub|<value|mn>>*<value|mm>*<value|mn\
  >.>

  The right hand side is well defined by propositions
  <reference|make-Noetherian>(<with|font shape|italic|e>) and
  <reference|make-Noetherian>(<with|font shape|italic|b>). Higman
  <apply|cite|Hig52> first observed that <with|mode|math|C[[<value|MM>]]> is
  a ring for this product. Actually, it is even a <with|font
  shape|italic|strong ring>, because the product is compatible with the
  infinite summation structure on <with|mode|math|C[[<value|MM>]]> in the
  following way:

  <\proposition>
    <label|mult-sbilin>For all Noetherian families
    <with|mode|math|><with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<valu\
    e|MM>]]<rsup|I>> and <with|mode|math|(g<rsub|j>)<rsub|j\<in\>J>\<in\>C[[<\
    value|MM>]]<rsup|J>>, the family <with|mode|math|(f<rsub|i>*g<rsub|j>)<rs\
    ub|(i,j)\<in\>I\<times\>J>> is also Noetherian, and

    <expand|equation*|<big|sum><rsub|(i,j)\<in\>I\<times\>J>f<rsub|i>*g<rsub|\
    j>=<left|(><big|sum><rsub|i\<in\>I>f<rsub|i><right|)>*<left|(><big|sum><r\
    sub|j\<in\>J>g<rsub|j><right|)>.>
  </proposition>

  <\proof>
    First of all,

    <expand|equation*|<big|cup><rsub|(i,j)\<in\>I\<times\>J>supp
    f<rsub|i>*g<rsub|j>\<subseteq\><big|cup><rsub|(i,j)\<in\>I\<times\>J>(sup\
    p f<rsub|i>)*(supp g<rsub|j>)=<left|(><big|cup><rsub|i\<in\>I>supp
    f<rsub|i><right|)>*<left|(><big|cup><rsub|j\<in\>J>supp
    g<rsub|j><right|)>>

    is Noetherian. Given <with|mode|math|<value|mm>\<in\><value|MM>>, the set
    of couples <with|mode|math|(<value|mv>,<value|mw>)\<in\><left|(><big|cup>\
    <rsub|i\<in\>I>supp f<rsub|i><right|)>\<times\><left|(><big|cup><rsub|j\<\
    in\>J>supp g<rsub|j><right|)>> with <with|mode|math|<value|mv>*<value|mw>\
    =<value|mm>> forms a finite anti-chain; let
    <with|mode|math|(<value|mv><rsub|1>,<value|mw><rsub|1>),\<ldots\>,(<value\
    |mv><rsub|n>,<value|mw><rsub|n>)> denote those couples. Then

    <expand|equation*|{(i,j)\<in\>I\<times\>J\|(f<rsub|i>*g<rsub|j>)<rsub|<va\
    lue|mm>>\<neq\>0}\<subseteq\><big|cup><rsub|k=1><rsup|n>{(i,j)\<in\>I\<ti\
    mes\>J\|f<rsub|i,<value|mv><rsub|k>>\<neq\>0\<wedge\>g<rsub|j,<value|mw><\
    rsub|k>>\<neq\>0}>

    is finite, whence <with|mode|math|(f<rsub|i>*g<rsub|j>)<rsub|(i,j)\<in\>I\
    \<times\>J>> is a Noetherian family. Given
    <with|mode|math|<value|mm>\<in\><value|MM>>, we also have

    <expand|eqnarray*|<tformat|<table|<row|<cell|<left|(><big|sum><rsub|(i,j)\
    \<in\>I\<times\>J>f<rsub|i>*g<rsub|j><right|)><rsub|<value|mm>>>|<cell|=>\
    |<cell|<big|sum><rsub|(i,j)\<in\>I\<times\>J><space|0.6spc><big|sum><rsub\
    |k=1><rsup|n>f<rsub|i,<value|mv><rsub|k>>*g<rsub|j,<value|mw><rsub|k>>>>|\
    <row|<cell|>|<cell|=>|<cell|<big|sum><rsub|k=1><rsup|n><left|(><big|sum><\
    rsub|i\<in\>I>f<rsub|i>*<right|)><rsub|<value|mv><rsub|k>><left|(><big|su\
    m><rsub|j\<in\>J>g<rsub|j>*<right|)><rsub|<value|mw><rsub|k>>>>|<row|<cel\
    l|>|<cell|=>|<cell|<left|(><left|(><big|sum><rsub|i\<in\>I>f<rsub|i>*<rig\
    ht|)><left|(><big|sum><rsub|j\<in\>J>g<rsub|j><right|)><right|)><rsub|<va\
    lue|mm>>,>>>>>

    with <with|mode|math|(<value|mv><rsub|1>,<value|mw><rsub|1>),\<ldots\>,(<\
    value|mv><rsub|n>,<value|mw><rsub|n>)> as above.
  </proof>

  <remark|Also, if <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<value|\
  MM>]]<rsup|I>> is a Noetherian family, then so is
  <with|mode|math|(\<lambda\><rsub|i>*f<rsub|i>)<rsub|i\<in\>I>>, for each
  family <with|mode|math|(\<lambda\><rsub|i>)<rsub|i\<in\>I>\<in\>C<rsup|I>>
  of scalars.>

  <subsection|Extension by strong linearity>

  Let <with|mode|math|C> be a ring and let <with|mode|math|<value|MM>>,
  <with|mode|math|<value|MN>> be monomial sets. In all what follows, we
  understand that <with|mode|math|C> operates on the left on
  <with|mode|math|C>-modules and <with|mode|math|C>-algebras. A linear
  mapping <with|mode|math|L:C[[<value|MM>]]\<rightarrow\>C[[<value|MN>]]> is
  said to be <with|font shape|italic|strongly additive>, if for all
  Noetherian families <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<val\
  ue|MM>]]<rsup|I>>, the family <with|mode|math|(L(f<rsub|i>))<rsub|i\<in\>I>\
  \<in\>C[[<value|MN>]]<rsup|I>> is also Noetherian and

  <expand|equation*|L<left|(><big|sum><rsub|i\<in\>I>f<rsub|i><right|)>=<big|\
  sum><rsub|i\<in\>I>L(f<rsub|i>).>

  Notice that this condition implies that <with|mode|math|L> is <with|font
  shape|italic|strongly linear>, i.e.<inactive|<group|>>
  <with|mode|math|L<left|(><big|sum><rsub|i\<in\>I>\<lambda\><rsub|i>*f<rsub|\
  i><right|)>=<big|sum><rsub|i\<in\>I>\<lambda\><rsub|i>*L(f<rsub|i>)>, for
  every Noetherian family <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[\
  <value|MM>]]<rsup|I>> and every family <with|mode|math|(\<lambda\><rsub|i>)\
  <rsub|i\<in\>I>\<in\>C<rsup|I>> of scalars. Notice also that the
  composition of two strongly linear mappings is again strongly linear.

  A mapping <with|mode|math|\<varphi\>:<value|MM>\<rightarrow\>C[[<value|MN>]\
  ]> is said to be <with|font shape|italic|Noetherian>, if
  <with|mode|math|(\<varphi\>(<value|mm>))<rsub|<value|mm>\<in\><apply|MS>>>
  is a Noetherian family for every Noetherian subset
  <with|mode|math|<apply|MS>> of <with|mode|math|<value|MM>>.

  <proposition|<label|ex-lin-prop>Let <with|mode|math|C[[<value|MM>]]> and
  <with|mode|math|C[[<value|MN>]]> be <with|mode|math|C>-modules of
  Noetherian series. Then any Noetherian mapping
  <with|mode|math|\<varphi\>:<value|MM>\<rightarrow\>C[[<value|MN>]]> extends
  to a unique strongly linear mapping <with|mode|math|<wide|\<varphi\>|^>:C[[\
  <value|MM>]]\<rightarrow\>C[[<value|MN>]]>.>

  <\proof>
    Let <with|mode|math|f\<in\>C[[<value|MM>]]>. By definition,
    <with|mode|math|(\<varphi\>(<value|mm>))<rsub|<value|mm>\<in\>supp f>> is
    a Noetherian family, and so is <with|mode|math|(f<rsub|<value|mm>>*<forma\
    t|no line break>\<varphi\>(<value|mm>))<rsub|<value|mm>\<in\>supp f>>. We
    will prove that

    <expand|eqnarray*|<tformat|<table|<row|<cell|<wide|\<varphi\>|^>:C[[<valu\
    e|MM>]]>|<cell|\<longrightarrow\>>|<cell|C[[<value|MN>]]>>|<row|<cell|f>|\
    <cell|\<longmapsto\>>|<cell|<big|sum><rsub|<value|mm>\<in\>supp
    f><rsup|>f<rsub|<value|mm>>*\<varphi\>(<value|mm>)>>>>>

    is the unique strongly linear mapping which coincides with
    <with|mode|math|\<varphi\>> on <with|mode|math|<value|MM>>.

    Given <with|mode|math|\<lambda\>\<in\>C> and
    <with|mode|math|f\<in\>C[[<value|MM>]]> we clearly have
    <with|mode|math|<wide|\<varphi\>|^>(\<lambda\>*f)=\<lambda\>*<wide|\<varp\
    hi\>|^>(f)>. Now let <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<\
    value|MM>]]<rsup|I>> be a Noetherian family and denote
    <with|mode|math|<value|MS>=<big|cup><rsub|i\<in\>I>supp f<rsub|i>>. We
    claim that <with|mode|math|(f<rsub|i,<value|mm>>*\<varphi\>(<value|mm>))<\
    rsub|(i,<value|mm>)\<in\>I\<times\><value|MS>>> is a Noetherian family.
    First of all,

    <expand|equation*|<big|cup><rsub|(i,<value|mm>)\<in\>I\<times\><value|MS>\
    >supp f<rsub|i,<value|mm>>*\<varphi\>(<value|mm>)\<subseteq\><big|cup><rs\
    ub|<value|mm>\<in\><value|MS>>supp \<varphi\>(<value|mm>)>

    is Noetherian. Secondly, given <with|mode|math|<value|mn>\<in\><value|MN>\
    >, the set <with|mode|math|{<value|mm>\<in\><value|MS>\|\<varphi\>(<value\
    |mm>)<rsub|<value|mn>>\<neq\>0}> is finite, since
    <with|mode|math|(\<varphi\>(<value|mm>))<rsub|<value|mm>\<in\><value|MS>>\
    ><with|mode|math|> is a Noetherian family. Finally, for each
    <with|mode|math|<value|mm>\<in\><value|MS>> with
    <with|mode|math|\<varphi\>(<value|mm>)<rsub|<value|mn>>\<neq\>0>, the set
    <with|mode|math|{i\<in\>I\|f<rsub|i,<value|mm>>\<neq\>0}> is also finite,
    since <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>> is a Noetherian family.
    Hence, the set <with|mode|math|{(i,<value|mm>)\<in\>I\<times\><value|MS>\\
    |f<rsub|i,<value|mm>>*\<varphi\>(<value|mm>)<rsub|<value|mn>>\<neq\>0}>
    is finite, which proves our claim. Now our claim, together with
    proposition <reference|slin-prop>(<with|font shape|italic|d>) proves that
    <with|mode|math|<left|(><wide|\<varphi\>|^>(f<rsub|i>)<right|)><rsub|i\<i\
    n\>I>=<left|(><big|sum><rsub|<value|mm>\<in\><value|MS>>f<rsub|i,<value|m\
    m>>*\<varphi\>(<value|mm>)<right|)><rsub|i\<in\>I>> is a Noetherian
    family and

    <expand|equation*|<big|sum><rsub|i\<in\>I><wide|\<varphi\>|^>(f<rsub|i>)=\
    <big|sum><rsub|i\<in\>I><big|sum><rsub|<value|mm>\<in\><value|MS>>f<rsub|\
    i,<value|mm>>*\<varphi\>(<value|mm>)=<big|sum><rsub|(i,<value|mm>)\<in\>I\
    \<times\><value|MS>>f<rsub|i,<value|mm>>*\<varphi\>(<value|mm>)=<big|sum>\
    <rsub|<value|mm>\<in\><value|MS>><left|(><big|sum><rsub|i\<in\>I>f<rsub|i\
    ,<value|mm>><right|)>*\<varphi\>(<value|mm>)=<wide|\<varphi\>|^><left|(><\
    big|sum><rsub|i\<in\>I>f<rsub|i><right|)>.>

    This establishes the strong linearity of
    <with|mode|math|<wide|\<varphi\>|^>>.

    In order to see that <with|mode|math|<wide|\<varphi\>|^>> is unique with
    the desired properties, it suffices to observe that for each
    <with|mode|math|f\<in\>C[[<value|MM>]]>, we must have
    <with|mode|math|<wide|\<varphi\>|^>(f<rsub|<value|mm>>*<value|mm>)=f<rsub\
    |<value|mm>>*\<varphi\>(<value|mm>)> by linearity and
    <with|mode|math|<wide|\<varphi\>|^>(f)=<big|sum><rsub|<value|mm>\<in\>sup\
    p f><rsup|>f<rsub|<value|mm>>*\<varphi\>(<value|mm>)> by strong
    linearity.
  </proof>

  Actually, the above proposition generalizes to the ``strongly multilinear''
  case. If <with|mode|math|<value|MM><rsub|1>,\<ldots\>,<value|MM><rsub|n>>
  and <with|mode|math|<value|MN>> are monomial sets, then we call a
  multilinear mapping

  <expand|equation*|M:C[[<value|MM><rsub|1>]]\<times\>\<cdots\>\<times\>C[[<v\
  alue|MM><rsub|n>]]\<rightarrow\>C[[<value|MN>]]>

  <with|font shape|italic|strongly multilinear> (or <with|font
  shape|italic|strongly multi-additive>), if for all Noetherian families
  <with|mode|math|(f<rsub|1,i<rsub|1>>)<rsub|i<rsub|1>\<in\>I<rsub|1>>\<in\>C\
  [[<value|MM><rsub|1>]]<rsup|I<rsub|1>>,\<ldots\>,(f<rsub|n,i<rsub|n>>)<rsub\
  |i<rsub|n>\<in\>I<rsub|n>>\<in\>C[[<value|MM><rsub|n>]]<rsup|I<rsub|n>>>,
  the family <with|mode|math|(M(f<rsub|1,i<rsub|1>>,\<ldots\>,f<rsub|n,i<rsub\
  |n>>))<rsub|(i<rsub|1>,\<ldots\>,i<rsub|n>)\<in\>I<rsub|1>\<times\>\<cdots\\
  >\<times\>I<rsub|n>>> is also Noetherian and

  <expand|equation*|M<left|(><big|sum><rsub|i<rsub|1>\<in\>I<rsub|1>>f<rsub|1\
  ,i<rsub|1>>,\<ldots\>,<big|sum><rsub|i<rsub|n>\<in\>I<rsub|n>>f<rsub|n,i<rs\
  ub|n>><right|)>=<big|sum><rsub|(i<rsub|1>,\<ldots\>,i<rsub|n>)\<in\>I<rsub|\
  1>\<times\>\<cdots\>\<times\>I<rsub|n>>M(f<rsub|1,i<rsub|1>>,\<ldots\>,f<rs\
  ub|n,i<rsub|n>>).>

  In particular, if <with|mode|math|<value|MM>> is a monomial monoid, then
  the multiplication on <with|mode|math|C[[<value|MM>]]> is strongly
  bilinear, by proposition <reference|mult-sbilin>. Also, compositions

  <expand|eqnarray*|<tformat|<table|<row|<cell|N\<circ\><big|prod><rsub|i=1><\
  rsup|m>M<rsub|i>:<space|1fn><big|prod><rsub|i=1><rsup|m><big|prod><rsub|j=1\
  ><rsup|n<rsub|i>>C[[<value|MM><rsub|i,j>]]>|<cell|\<longrightarrow\>>|<cell\
  |C[[<value|MV>]];>>|<row|<cell|((f<rsub|i,j>)<rsub|1\<leqslant\>j\<leqslant\
  \>n<rsub|m>>)<rsub|1\<leqslant\>i\<leqslant\>m>>|<cell|\<longmapsto\>>|<cel\
  l|N(M<rsub|1>(f<rsub|1,1>,\<ldots\>,f<rsub|1,n<rsub|1>>),\<ldots\>,M<rsub|m\
  >(f<rsub|m,1>,\<ldots\>,f<rsub|m,n<rsub|m>>))>>>>>

  of strongly multilinear mappings <with|mode|math|N:C[[<value|MN><rsub|1>]]\\
  <times\>\<cdots\>\<times\>C[[<value|MN><rsub|m>]]\<rightarrow\>C[[<value|MV\
  >]]> and <with|mode|math|M<rsub|i>:C[[<value|MM><rsub|i,1>]]\<times\>\<cdot\
  s\>\<times\>C[[<value|MM><rsub|i,n<rsub|i>>]]\<rightarrow\>C[[<value|MN><rs\
  ub|i>]]><with|mode|math|> for <with|mode|math|i\<in\>{1,\<ldots\>,m} >are
  strongly multilinear.

  Recall that a mapping <with|mode|math|\<varphi\>:<value|MM><rsub|1>\<times\\
  >\<cdots\>\<times\><value|MM><rsub|n>\<rightarrow\>C[[<value|MN>]]> is
  Noetherian, if <with|mode|math|(\<varphi\>(<value|mm><rsub|1>,\<ldots\>,<va\
  lue|mm><rsub|n>))<rsub|(<value|mm><rsub|1>,\<ldots\>,<value|mm><rsub|n>)\<i\
  n\><apply|MS>>> is a Noetherian family for every Noetherian subset
  <with|mode|math|<apply|MS>> of <with|mode|math|<value|MM><rsub|1>\<times\>\\
  <cdots\>\<times\><value|MM><rsub|n>>. The following proposition is proved
  in a similar way as proposition <reference|ex-lin-prop>:

  <surround||<htab|5mm><with|mode|math|\<box\>>|<proposition|<label|ex-multil\
  in-prop>Let <with|mode|math|C[[<value|MM><rsub|1>]],\<ldots\>,C[[<value|MM>\
  <rsub|n>]]> and <with|mode|math|C[[<value|MN>]]> be
  <with|mode|math|C>-modules of Noetherian series. Then any Noetherian
  mapping <with|mode|math|\<varphi\>:<value|MM><rsub|1>\<times\>\<cdots\>\<ti\
  mes\><value|MM><rsub|n>\<rightarrow\>C[[<value|MN>]]> extends to a unique
  strongly multilinear mapping <with|mode|math|<wide|\<varphi\>|^>:C[[<value|\
  MM><rsub|1>]]\<times\>\<cdots\>\<times\>C[[<value|MM><rsub|n>]]\<rightarrow\
  \>C[[<value|MN>]]>.>>

  <remark|In a similar way as we identified
  <with|mode|math|C[[<value|MM>\<amalg\><value|MN>]]> with
  <with|mode|math|C[[<value|MM>]]\<times\>C[[<value|MN>]]> in remark
  <reference|prod-ident>, we may see <with|mode|math|C[[<value|MM>\<times\><v\
  alue|MN>]]> as the <with|font shape|italic|strong tensor product> of
  <with|mode|math|C[[<value|MM>]]> and <with|mode|math|C[[<value|MN>]]>. We
  have a natural strongly bilinear mapping
  <with|mode|math|P:C[[<value|MM>]]\<times\>C[[<value|MN>]]\<rightarrow\>C[[<\
  value|MM>\<times\><value|MN>]]; (f,g)\<mapsto\><big|sum><rsub|(<value|mm>,<\
  value|mn>)\<in\>supp f\<times\>supp g>f<rsub|<value|mm>>*g<rsub|<value|mn>>\
  *(<value|mm>,<value|mn>)>. Furthermore, for any strongly bilinear mapping
  <with|mode|math|B:C[[<value|MM>]]\<times\>C[[<value|MN>]]\<rightarrow\>C[[<\
  value|MV>]]>, there exists a unique strongly linear mapping
  <with|mode|math|L:C[[<value|MM>\<times\><value|MN>]]\<rightarrow\>C[[<value\
  |MV>]]>, such that <with|mode|math|B=L\<circ\>P>.>

  <subsection|Applications of strong linearity>

  <corollary|<label|ex-lin-mult>Let <with|mode|math|<value|MM>> and
  <with|mode|math|<value|MN>> be monomial monoids and let
  <with|mode|math|\<varphi\>:<value|MM>\<rightarrow\>C[[<value|MN>]]> be a
  Noetherian mapping which preserves multiplication. Then
  <with|mode|math|<wide|\<varphi\>|^>> preserves multiplication.>

  <proof|The mappings <with|mode|math|(f,g)\<mapsto\><wide|\<varphi\>|^>(f*g)\
  > and <with|mode|math|(f,g)\<mapsto\><wide|\<varphi\>|^>(f)*<wide|\<varphi\\
  >|^>(g)> are both strongly bilinear mappings from
  <with|mode|math|C[[<value|MM>]]\<times\>C[[<value|MM>]]> into
  <with|mode|math|C[[<value|MN>]]>, which coincide on
  <with|mode|math|<value|MM><rsup|2>>. The result now follows from the
  uniqueness of strongly bilinear extensions in proposition
  <reference|ex-multilin-prop>.>

  <corollary|<label|ex-lin-der>Let <with|mode|math|<value|MM>> be a monomial
  monoid and <with|mode|math|\<varphi\>:<value|MM>\<rightarrow\>C[[<value|MM>\
  ]]> a Noetherian mapping, such that <with|mode|math|\<varphi\>(<value|mm>*<\
  value|mn>)=\<varphi\>(<value|mm>)*<value|mn>+<value|mm>*\<varphi\>(<value|m\
  n>)> for all <with|mode|math|<value|mm>,<value|mn>\<in\><value|MM>>. Then
  <with|mode|math|<wide|\<varphi\>|^>> is a (strong) derivation on
  <with|mode|math|C[[<value|MM>]]>.>

  <proof|The mappings <with|mode|math|(f,g)\<mapsto\>\<varphi\>(f*g)> and
  <with|mode|math|(f,g)\<mapsto\>\<varphi\>(f)*g+f*\<varphi\>(g)> are both
  strongly bilinear mappings from <with|mode|math|C[[<value|MM>]]\<times\>C[[\
  <value|MM>]]> into <with|mode|math|C[[<value|MM>]]>, which coincide on
  <with|mode|math|<value|MM><rsup|2>>. The result again follows from the
  uniqueness of strongly bilinear extensions in proposition
  <reference|ex-multilin-prop>.>

  <\corollary>
    <label|ex-lin-comp>Let <with|mode|math|\<varphi\>:<value|MM>\<rightarrow\\
    >C[[<value|MN>]]> and <with|mode|math|\<psi\>:<value|MN>\<rightarrow\>C[[\
    <value|MV>]]> be two Noetherian mappings. Then

    <expand|equation*|<wide|<wide|\<psi\>|^>\<circ\>\<varphi\>|^>=<wide|\<psi\
    \>|^>\<circ\><wide|\<varphi\>|^>.>
  </corollary>

  <proof|This still follows from the uniqueness of extensions by strong
  linearity, since <with|mode|math|<wide|\<psi\>|^>\<circ\>\<varphi\>> and
  <with|mode|math|<wide|\<psi\>|^>\<circ\><wide|\<varphi\>|^>> coincide on
  <with|mode|math|<value|MM>>.>

  Assume that <with|mode|math|<value|MM>> is a monomial monoid. We call a
  series <with|mode|math|f\<in\>C[[<value|MM>]]> <with|font
  shape|italic|infinitesimal>, if <with|mode|math|<value|mm>\<prec\>1> for
  all <with|mode|math|<value|mm>\<in\>supp f>. Then extension by strong
  linearity may in particular be used to define the composition
  <with|mode|math|g\<circ\>(f<rsub|1>,\<ldots\>,f<rsub|k>)> of a multivariate
  power series <with|mode|math|g\<in\>C[[z<rsub|1>,\<ldots\>,z<rsub|k>]]=C[[z\
  <rsub|1><rsup|<with|math font|Bbb*|N>>\<cdots\>z<rsub|k><rsup|<with|math
  font|Bbb*|N>>]]> with infinitesimal series
  <with|mode|math|f<rsub|1>,\<ldots\>,f<rsub|k>\<in\>C[[<value|MM>]]>.
  Indeed, if <with|mode|math|\<varphi\>:z<rsub|1><rsup|<with|math
  font|Bbb*|N>>\<cdots\>z<rsub|k><rsup|<with|math
  font|Bbb*|N>>\<rightarrow\>C[[<value|MM>]]> is the multiplicative mapping
  which sends each <with|mode|math|z<rsub|1><rsup|n<rsub|1>>\<cdots\>z<rsub|k\
  ><rsup|n<rsub|k>>> to <with|mode|math|f<rsub|1><rsup|n<rsub|1>>\<cdots\>f<r\
  sub|k><rsup|n<rsub|k>>>, then we define
  <with|mode|math|g\<circ\>(f<rsub|1>,\<ldots\>,f<rsub|k>)=<wide|\<varphi\>|^\
  >(g)>. Then corollaries <reference|ex-lin-mult> and <reference|ex-lin-comp>
  yield the following result:

  <surround||<htab|5mm><with|mode|math|\<box\>>|<\corollary>
    <label|series-compose>Let <with|mode|math|f<rsub|1>,\<ldots\>,f<rsub|k>>
    be infinitesimal Noetherian series in <with|mode|math|C[[<value|MM>]]>.
    Then

    <\expand|enumerate-alpha>
      <item><with|mode|math|(g*h)\<circ\>(f<rsub|1>,\<ldots\>,f<rsub|k>)=g\<c\
      irc\>(f<rsub|1>,\<ldots\>,f<rsub|k>)*h\<circ\>(f<rsub|1>,\<ldots\>,f<rs\
      ub|k>)>, for <with|mode|math|g,h\<in\>C[[z<rsub|1>,\<ldots\>,z<rsub|k>]\
      ]>.

      <item><with|mode|math|(h\<circ\>(g<rsub|1>,\<ldots\>,g<rsub|<space|0.2s\
      pc>l>))\<circ\>(f<rsub|1>,\<ldots\>,f<rsub|k>)=h\<circ\>(g<rsub|1>\<cir\
      c\>(f<rsub|1>,\<ldots\>,f<rsub|k>),\<ldots\>,g<rsub|l>\<circ\>(f<rsub|1\
      >,\<ldots\>,f<rsub|k>))>, for <with|mode|math|h\<in\>C[[z<rsub|1>,\<ldo\
      ts\>,z<rsub|l>]]> and infinitesimal
      <with|mode|math|g<rsub|1>,\<ldots\>,g<rsub|<space|0.2spc>l>\<in\>C[[z<r\
      sub|1>,\<ldots\>,z<rsub|k>]]>.
    </expand>
  </corollary>>

  <section|The topological implicit function theorem><label|op::top>

  <subsection|Truncation of Noetherian series>

  Let <with|mode|math|<value|MM>> be a monomial set and
  <with|mode|math|f\<in\>C[[<value|MM>]]>. Given a subset
  <with|mode|math|<apply|MS>\<subseteq\><value|MM>>, we define the <with|font
  shape|italic|restriction> <with|mode|math|f<rsub|\|<apply|MS>>\<in\>C[[<app\
  ly|MS>]]\<subseteq\>C[[<value|MM>]]> of <with|mode|math|f> to
  <with|mode|math|<apply|MS>> by

  <expand|equation*|f<rsub|\|<apply|MS>>=<big|sum><rsub|<value|mm>\<in\><appl\
  y|MS>\<cap\>supp f>f<rsub|<value|mm>>*<value|mm>.>

  Given two series <with|mode|math|f,g\<in\>C[[<value|MM>]]>, we say that
  <with|mode|math|f> is a <with|font shape|italic|truncation> of
  <with|mode|math|g> (and we write <with|mode|math|f\<trianglelefteqslant\>g>\
  ), if there exists an initial segment <with|mode|math|<value|MI>> of
  <with|mode|math|supp g>, such that <with|mode|math|f=g<rsub|\|<value|MI>>>.
  Thus <with|mode|math|\<trianglelefteqslant\>> is an ordering on
  <with|mode|math|C[[<value|MM>]]>.

  Let <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<value|MM>]]<rsup|I>\
  > be a non-empty family of series. A <with|font shape|italic|common
  truncation> of the <with|mode|math|f<rsub|i>> is a series
  <with|mode|math|g>, such that <with|mode|math|g\<trianglelefteqslant\>f<rsu\
  b|i>> for all <with|mode|math|i\<in\>I>. A <with|font shape|italic|greatest
  common truncation> of the <with|mode|math|f<rsub|i>> is a common
  truncation, which is greatest for <with|mode|math|\<trianglelefteqslant\>>.
  Such a greatest truncation actually always exists and we denote it by
  <with|mode|math|<big|triangleup><rsub|i\<in\>I>f<rsub|i>>:

  <proposition|Any non-empty family <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I\
  >\<in\>C[[<value|MM>]]> admits a greatest common truncation.>

  <proof|Fix some <with|mode|math|j\<in\>I> and consider the set
  <with|mode|math|math font|cal|I> of initial segments
  <with|mode|math|<value|MI>> of <with|mode|math|supp f<rsub|j>>, such that
  <with|mode|math|f<rsub|j\|<value|MI>>\<trianglelefteqslant\>f<rsub|i>> for
  all <with|mode|math|i\<in\>I>. We observe that arbitrary unions of initial
  segments of a given ordering are again initial segments. Hence
  <with|mode|math|<value|MI><rsub|max>=<big|cup><rsub|<value|MI>\<in\><with|m\
  ath font|cal|I>><value|MI>> is an initial segment of each
  <with|mode|math|supp f<rsub|i>>. Furthermore, for each
  <with|mode|math|i\<in\>I> and <with|mode|math|<value|mm>\<in\><value|MI><rs\
  ub|max>>, there exists an <with|mode|math|<value|MI>\<in\><with|math
  font|cal|I>> with <with|mode|math|f<rsub|j\|<value|MI>,<value|mm>>=f<rsub|j\
  ,<value|mm>>=f<rsub|i,<value|mm>>>. Hence
  <with|mode|math|f<rsub|j\|<value|MI><rsub|max>>=f<rsub|i\|<value|MI><rsub|m\
  ax>>\<trianglelefteqslant\>f<rsub|i>> for all <with|mode|math|i\<in\>I>.
  This proves that <with|mode|math|f<rsub|\|<value|MI><rsub|max>>> is a
  common truncation of the <with|mode|math|f<rsub|i>>. It is also greatest
  for <with|mode|math|\<trianglelefteqslant\>>, since any common truncation
  is of the form <with|mode|math|f<rsub|j\|<value|MI>>> for some initial
  segment <with|mode|math|<value|MI>\<in\><with|math font|cal|I>> of
  <with|mode|math|<value|MI><rsub|max>> with
  <with|mode|math|f<rsub|j\|<value|MI>>\<trianglelefteqslant\>f<rsub|j\|<valu\
  e|MI><rsub|max>>>.>

  Let <with|mode|math|><with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<va\
  lue|MM>]]<rsup|I>> again be a family of series. A <with|font
  shape|italic|common extension> of the <with|mode|math|f<rsub|i>> is a
  series <with|mode|math|g>, such that <with|mode|math|f<rsub|i>\<trianglelef\
  teqslant\>g> for all <with|mode|math|i\<in\>I>. A <with|font
  shape|italic|least common extension> of the <with|mode|math|f<rsub|i>> is a
  common extension, which is least for <with|mode|math|\<trianglelefteqslant\\
  >>. If such a least common extension exists, then we denote it by
  <with|mode|math|<big|triangledown><rsub|i\<in\>I>f<rsub|i>>.

  Now consider a directed index set <with|mode|math|I>. In other words, we
  have an ordering on <with|mode|math|I>, such that for any
  <with|mode|math|i,j\<in\>I>, there exist a <with|mode|math|k\<in\>I> with
  <with|mode|math|i\<leqslant\>k> and <with|mode|math|j\<leqslant\>k>. Let
  <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>> be a
  <with|mode|math|\<trianglelefteqslant\>>-increasing family of series in
  <with|mode|math|C[[<value|MM>]]>, i.e. <with|mode|math|f<rsub|i>\<trianglel\
  efteqslant\>f<rsub|j>> whenever <with|mode|math|i\<leqslant\>j>. If
  <with|mode|math|<value|MM>> is Noetherian or totally ordered, then there
  exists a least common extension of the <with|mode|math|f<rsub|i>>:

  <proposition|<label|mce>Assume that <with|mode|math|<value|MM>> is
  Noetherian or totally ordered. Then any directed
  <with|mode|math|\<trianglelefteqslant\>>-increasing family
  <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>> of series in
  <with|mode|math|C[[<value|MM>]]> admits a unique least common extension
  <with|mode|math|<big|triangledown><rsub|i\<in\>I>f<rsub|i>> and
  <with|mode|math|supp <format|no line break><big|triangledown><rsub|i\<in\>I\
  >f<rsub|i>=<big|cup><rsub|i\<in\>I>supp f<rsub|i>>.>

  <\proof>
    Let <with|mode|math|<apply|MS>=<big|cup><rsub|i\<in\>I>supp f<rsub|i>>.
    We claim that <with|mode|math|<apply|MS>> is Noetherian. This is clear if
    <with|mode|math|<value|MM>> is Noetherian. Assume that
    <with|mode|math|<value|MM>> is totally ordered and that
    <with|mode|math|<value|mm><rsub|1>\<preccurlyeq\><value|mm><rsub|2>\<prec\
    curlyeq\>\<cdots\>> is an infinite sequence of monomials in
    <with|mode|math|<apply|MS>>. Since <with|mode|math|I> is directed and
    <with|mode|math|supp f<rsub|i>\<subseteq\>supp f<rsub|j>> whenever
    <with|mode|math|i\<leqslant\>j>, there exist
    <with|mode|math|i<rsub|1>\<leqslant\>i<rsub|2>\<leqslant\>\<cdots\>> with
    <with|mode|math|<value|mm><rsub|k>\<in\>supp f<rsub|i<rsub|k>>> for each
    <with|mode|math|k>. But we also have <with|mode|math|f<rsub|i<rsub|1>>\<t\
    rianglelefteqslant\>f<rsub|i<rsub|k>>> for each <with|mode|math|k>, so
    that <with|mode|math|<value|mm><rsub|1>,<value|mm><rsub|2>,\<ldots\>\<in\\
    >supp f<rsub|i<rsub|1>>>. Since <with|mode|math|supp f<rsub|i<rsub|1>>>
    is Noetherian, the sequence <with|mode|math|<value|mm><rsub|1>,<value|mm>\
    <rsub|2>,\<ldots\>> therefore stabilizes.

    Given <with|mode|math|<value|mm>\<in\><apply|MS>>, we claim that the
    coefficient <with|mode|math|g<rsub|<value|mm>>=f<rsub|i,<value|mm>>> is
    independent of the choice of <with|mode|math|i\<in\>I>, under the
    condition that <with|mode|math|<value|mm>\<in\>supp f<rsub|i>>. Indeed,
    let <with|mode|math|i,j\<in\>I> be such that
    <with|mode|math|<value|mm>\<in\>supp f<rsub|i>> and
    <with|mode|math|<value|mm>\<in\>supp f<rsub|j>>, then there exists a
    <with|mode|math|k\<in\>I> with <with|mode|math|i\<leqslant\>k> and
    <with|mode|math|j\<leqslant\>k>. Hence,
    <with|mode|math|f<rsub|i>\<trianglelefteqslant\>f<rsub|k>> and
    <with|mode|math|f<rsub|j>\<trianglelefteqslant\>f<rsub|k>>, so that
    <with|mode|math|f<rsub|i,<value|mm>>=f<rsub|k,<value|mm>>=f<rsub|j,<value\
    |mm>>>. Now the series <with|mode|math|g=<big|sum><rsub|<value|mm>\<in\><\
    apply|MS>>g<rsub|<value|mm>>*<value|mm>> is the least common extension of
    the <with|mode|math|f<rsub|i>>.
  </proof>

  <subsection|Stationary limits>

  Let <with|mode|math|I> be a directed index set and
  <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<value|MM>]]<rsup|I>> a
  family of series. We call <with|mode|math|g\<in\>C[[<value|MM>]]> a
  <with|font shape|italic|pseudo-limit> of the <with|mode|math|f<rsub|i>>, if
  for each final segment <with|mode|math|<value|MF>> of
  <with|mode|math|<value|MM>> and for all <with|mode|math|i\<in\>I>, we have

  <expand|equation*|(\<forall\>j\<geqslant\>i: supp
  (f<rsub|j>-f<rsub|i>)\<subseteq\><value|MF>)<space|1spc>\<Rightarrow\><spac\
  e|1spc>(supp (g-f<rsub|i>)\<subseteq\><value|MF>).>

  Equivalently, we may require that for each inital segment
  <with|mode|math|<value|MI>> of <with|mode|math|<value|MM>> and for each
  <with|mode|math|i\<in\>I>, we have

  <expand|equation*|(\<forall\>j\<geqslant\>i:
  f<rsub|j\|<value|MI>>=f<rsub|i\|<value|MI>>)<space|1spc>\<Rightarrow\><spac\
  e|1spc>(g<rsub|\|<value|MI>>=f<rsub|i\|<value|MI>>).>

  Assume from now on that <with|mode|math|<value|MM>> is either Noetherian or
  totally ordered. Below, we will show that the <with|font
  shape|italic|stationary limit> of the <with|mode|math|f<rsub|i>>, which is
  defined by

  <expand|equation*|<below|stat lim|i\<in\>I>
  f<rsub|i>=<big|triangledown><rsub|i\<in\>I><big|triangleup><rsub|j\<geqslan\
  t\>i>f<rsub|j>>

  is in particular a pseudo-limit. We first prove some useful properties of
  <with|mode|math|<big|triangledown>> and <with|mode|math|<big|triangleup>>.

  <\proposition>
    <label|trunc-gclc>Let <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[\
    <value|MM>]]<rsup|I>> be a family of series and let
    <with|mode|math|<value|MI>> be an initial segment of
    <with|mode|math|<value|MM>>.

    <\expand|enumerate-alpha>
      <item>If <with|mode|math|I\<neq\>\<varnothing\>>, then

      <expand|equation*|<big|triangleup><rsub|i\<in\>I>f<rsub|i\|<value|MI>><\
      space|0.6spc>=<space|0.6spc><left|(><big|triangleup><rsub|i\<in\>I>f<rs\
      ub|i><right|)><rsub|\|<value|MI>>.>

      <item>If <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>> is directed and
      <with|mode|math|\<trianglelefteqslant\>>-increasing, then

      <expand|equation*|<big|triangledown><rsub|i\<in\>I>f<rsub|i\|<value|MI>\
      ><space|0.6spc>=<space|0.6spc><left|(><big|triangledown><rsub|i\<in\>I>\
      f<rsub|i><right|)><rsub|\|<value|MI>>.>
    </expand>
  </proposition>

  <\proof>
    We first observe that for all <with|mode|math|f,g\<in\>C[[<value|MM>]]>
    we have <with|mode|math|f\<trianglelefteqslant\>g\<Rightarrow\>f<rsub|\|<\
    value|MI>>\<trianglelefteqslant\>g<rsub|\|<value|MI>>>. In particular,
    this ensures that <with|mode|math|<big|triangledown><rsub|i\<in\>I>f<rsub\
    |i\|<value|MI>>> exists in (<with|font shape|italic|b>).

    Now assume that <with|mode|math|I\<neq\>\<varnothing\>> and let
    <with|mode|math|g=<big|triangleup><rsub|i\<in\>I>f<rsub|i>>. Then
    <with|mode|math|g\<trianglelefteqslant\>f<rsub|i>>, whence
    <with|mode|math|g<rsub|\|<value|MI>>\<trianglelefteqslant\>f<rsub|i\|<val\
    ue|MI>>>, for all <with|mode|math|i\<in\>I>. This shows that
    <with|mode|math|g<rsub|\|<value|MI>>> is a common truncation of the
    <with|mode|math|f<rsub|i\|<value|MI>>>. Inversily, assume that
    <with|mode|math|h\<in\>C[[<value|MI>]]> is such that
    <with|mode|math|h\<trianglelefteqslant\>f<rsub|i\|<value|MI>>> for all
    <with|mode|math|i\<in\>I>. Then also <with|mode|math|h\<trianglelefteqsla\
    nt\>f<rsub|i>> for all <with|mode|math|i\<in\>I>, so that
    <with|mode|math|h\<trianglelefteqslant\>g>. Hence
    <with|mode|math|h=h<rsub|\|<value|MI>>\<trianglelefteqslant\>g<rsub|\|<va\
    lue|MI>>>. This shows that <with|mode|math|g<rsub|\|<value|MI>>> is the
    greatest common truncation of the <with|mode|math|f<rsub|i\|<value|MI>>>.

    Assume now that <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>> is directed
    and <with|mode|math|\<trianglelefteqslant\>>-increasing and
    let<with|mode|math| g=<big|triangledown><rsub|i\<in\>I>f<rsub|i>>. Then
    <with|mode|math|f<rsub|i>\<trianglelefteqslant\>g>, whence
    <with|mode|math|f<rsub|i\|<value|MI>>\<trianglelefteqslant\>g<rsub|\|<val\
    ue|MI>>>, for all <with|mode|math|i\<in\>I>. Consequently,
    <with|mode|math|g<rsub|\|<value|MI>>> is a common extension of the
    <with|mode|math|f<rsub|i\|<value|MI>>>. Furthermore, its support
    <with|mode|math|supp g<rsub|\|<value|MI>>=(supp
    g)\<cap\><value|MI>=(<big|cup><rsub|i\<in\>I>supp
    f<rsub|i>)\<cap\><value|MI>=<big|cup><rsub|i\<in\>I>supp <format|no line
    break>f<rsub|i>\<cap\><value|MI>=<big|cup><rsub|i\<in\>I>supp <format|no
    line break>f<rsub|i\|<value|MI>>> is the same as the support of the least
    common extension of the <with|mode|math|f<rsub|i\|<value|MI>>>. Hence
    <with|mode|math|g<rsub|\|I>=<big|triangledown><rsub|i\<in\>I>f<rsub|i\|<v\
    alue|MI>>>.
  </proof>

  <\proposition>
    <label|sl-invariance>Let <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>\
    C[[<value|MM>]]<rsup|I>> be a directed family and
    <with|mode|math|i\<in\>I>. Then

    <expand|equation*|<big|triangledown><rsub|j\<in\>I><big|triangleup><rsub|\
    k\<geqslant\>j>f<rsub|k>=<big|triangledown><rsub|j\<geqslant\>i><big|tria\
    ngleup><rsub|k\<geqslant\>j>f<rsub|k>.>
  </proposition>

  <proof|Since <with|mode|math|I\<supseteq\>{j\<in\>I\|j\<geqslant\>i}>, we
  have <with|mode|math|<big|triangledown><rsub|j\<in\>I><big|triangleup><rsub\
  |k\<geqslant\>j>f<rsub|k>\<trianglerighteqslant\><big|triangledown><rsub|j\\
  <geqslant\>i><big|triangleup><rsub|k\<geqslant\>j>f<rsub|k>>. On the other
  hand, given <with|mode|math|<value|mm>\<in\>supp
  <big|triangledown><rsub|j\<in\>I><big|triangleup><rsub|k\<geqslant\>j>f<rsu\
  b|k>>, we have <with|mode|math|<value|mm>\<in\><big|triangleup><rsub|k\<geq\
  slant\>j>f<rsub|k>> for some <with|mode|math|j\<in\>I>. Choosing
  <with|mode|math|l\<in\>I> with <with|mode|math|l\<geqslant\>i> and
  <with|mode|math|l\<geqslant\>j>, we then have
  <with|mode|math|<value|mm>\<in\><big|triangleup><rsub|k\<geqslant\>l>f<rsub\
  |k>\<trianglerighteqslant\><big|triangleup><rsub|k\<geqslant\>j>f<rsub|k>>
  and <with|mode|math|<value|mm>\<in\><big|cup><rsub|m\<geqslant\>i>supp<big|\
  triangleup><rsub|k\<geqslant\>m>f<rsub|k>=supp
  <big|triangledown><rsub|m\<geqslant\>i><big|triangleup><rsub|k\<geqslant\>m\
  >f<rsub|k>>.>

  <proposition|<label|slpr>For any directed family
  <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<value|MM>]]<rsup|I>>,
  its stationary limit is a pseudo-limit.>

  <\proof>
    Let <with|mode|math|<value|MI>> be an initial segment of
    <with|mode|math|<value|MM>> and let <with|mode|math|i\<in\>I> be such
    that <with|mode|math|f<rsub|j\|<value|MI>>=f<rsub|i\|<value|MI>>> for all
    <with|mode|math|j\<geqslant\>i>. Then proposition <reference|trunc-gclc>
    implies that

    <equation|<left|(><big|triangledown><rsub|j\<geqslant\>i><big|triangleup>\
    <rsub|k\<geqslant\>j>f<rsub|k><right|)><rsub|\|<value|MI>>=<big|triangled\
    own><rsub|j\<geqslant\>i><big|triangleup><rsub|k\<geqslant\>j>f<rsub|k\|<\
    value|MI>>=<big|triangledown><rsub|j\<geqslant\>i><big|triangleup><rsub|k\
    \<geqslant\>j>f<rsub|i\|<value|MI>>=f<rsub|i\|<value|MI>>.<label|sleq1>>

    Hence <with|mode|math|(stat lim<rsub|j\<in\>I>
    f<rsub|j>)<rsub|\|<value|MI>>=f<rsub|i\|<value|MI>>>, by proposition
    <reference|sl-invariance>.
  </proof>

  Given <with|mode|math|f> and <with|mode|math|g> in
  <with|mode|math|C[[<value|MM>]]>, we will write
  <with|mode|math|f\<precdot\>g>, if for all
  <with|mode|math|<value|mm>\<in\>supp f>, there exists an
  <with|mode|math|<value|mn>\<in\>supp g> with
  <with|mode|math|<value|mm>\<prec\><value|mn>>. The following properties of
  <with|mode|math|\<precdot\>> will be used frequently in the next section:

  <\proposition>
    <label|negl>Let <with|mode|math|f,g,h\<in\>C[[<value|MM>]]>. Then

    <\expand|enumerate-alpha>
      <item><with|mode|math|f\<precdot\>f> if and only if
      <with|mode|math|f=0>.

      <item><with|mode|math|f\<precdot\>g\<wedge\>g\<precdot\>h\<Rightarrow\>\
      f\<precdot\>h>.

      <item><with|mode|math|f\<precdot\>h\<wedge\>g\<precdot\>h\<Rightarrow\>\
      f+g\<precdot\>h>.

      <item>If <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[<value|MM>]\
      ]<rsup|I>> now stands for a directed family, then

      <expand|equation*|(\<forall\>i\<in\>I:f<rsub|i>-g\<precdot\>h)<space|0.\
      6spc>\<Rightarrow\><space|0.6spc>((<below|stat lim|i\<in\>I>
      f<rsub|i>)-g\<precdot\>h).>
    </expand>
  </proposition>

  <\proof>
    The first three properties are trivial. Consider the final segment

    <expand|equation*|<value|MF>={<value|mm>\<in\><value|MM>\|<value|md>\<suc\
    c\><value|mm>,<with|mode|text| for some
    <with|mode|math|\<preccurlyeq\>>-maximal element
    <with|mode|math|<value|md>> in <with|mode|math|supp h>>}.>

    Then our hypothesis means that <with|mode|math|supp
    (f<rsub|i>-g)\<subseteq\><value|MF>> for all <with|mode|math|i>. Now
    <with|mode|math|supp ((stat lim<rsub|i\<in\>I>
    f<rsub|i>)-g)\<subseteq\><value|MF>>, by proposition <reference|slpr>.
    But this means that <with|mode|math|(stat lim<rsub|i\<in\>I>
    f<rsub|i>)-g\<precdot\>h>.
  </proof>

  <subsection|The implicit function theorem>

  A final segment <with|mode|math|<value|MF>> of a monomial set
  <with|mode|math|<value|MM>> is said to be <with|font
  shape|italic|attractive>, if for each <with|mode|math|<value|mm>\<in\><valu\
  e|MM>> there exists an <with|mode|math|<value|mn>\<in\><value|MF>> with
  <with|mode|math|<value|mm>\<succcurlyeq\><value|mn>>. If
  <with|mode|math|<value|MM>> is totally ordered, then all non-empty final
  segments are attractive. The intersection of two attractive final segments
  is again an attractive final segment and arbitrary non-empty unions of
  attractive final segments are again attractive final segments. In other
  words, the attractive final subsets <with|mode|math|<value|MF>> of
  <with|mode|math|<value|MM>> together with the empty set are the open sets
  of a topology on <with|mode|math|<value|MM>>.

  Now let <with|mode|math|C> be a commutative additive group. The <with|font
  shape|italic|attractive open subsets> of <with|mode|math|C[[<value|MM>]]>
  are the subsets of the form <with|mode|math|f+C[[<value|MF>]]>, where
  <with|mode|math|f\<in\>C[[<value|MM>]]> and where
  <with|mode|math|<value|MF>> is an attractive final segment of
  <with|mode|math|<value|MM>>. These sets form a basis for the open subsets
  of the <with|font shape|italic|natural> or <with|font
  shape|italic|attractive topology> on <with|mode|math|C[[<value|MM>]]>. We
  notice that the attractive topology makes <with|mode|math|C[[<value|MM>]]>
  an additive topological group. Given another monomial set
  <with|mode|math|<value|MN>>, we also notice that the attractive topology on
  <with|mode|math|C[[<value|MM>]]\<times\>C[[<value|MN>]]\<cong\>C[[<value|MM\
  >\<amalg\><value|MN>]]> (remember remark <reference|prod-ident>) coincides
  with the usual product topology on <with|mode|math|C[[<value|MM>]]\<times\>\
  C[[<value|MN>]]> (if <with|mode|math|C[[<value|MM>]]> and
  <with|mode|math|C[[<value|MN>]]> are given the attractive topologies).

  Consider a mapping <with|mode|math|\<Phi\>:C[[<value|MM>]]\<rightarrow\>C[[\
  <value|MM>]]>, where <with|mode|math|<value|MM>\<neq\>\<varnothing\>>. We
  call <with|mode|math|\<Phi\>> <with|font shape|italic|contracting>, if for
  all <with|mode|math|f,g\<in\>C[[<value|MM>]]>, we have
  <with|mode|math|\<Phi\>(g)-\<Phi\>(f)\<precdot\>g-f>. A contracting mapping
  is in particular continuous at each point
  <with|mode|math|f\<in\>C[[<value|MM>]]>, since for any attractive open
  neighbourhood <with|mode|math|\<Phi\>(f)+C[[<value|MF>]]> of
  <with|mode|math|\<Phi\>(f)>, the set <with|mode|math|f+C[[<value|MF>]]> is
  an open neighbourhood of <with|mode|math|f> with
  <with|mode|math|\<Phi\>(f+C[[<value|MF>]])\<subseteq\>\<Phi\>(f)+C[[<value|\
  MF>]]>.

  <theorem|<label|ifth1>Assume that <with|mode|math|<value|MM>\<neq\>\<varnot\
  hing\>> is Noetherian or totally ordered and let
  <with|mode|math|\<Phi\>:C[[<value|MM>]]\<times\>C[[<value|MN>]]\<rightarrow\
  \>C[[<value|MM>]]> be a continuous mapping, such that the mapping
  <with|mode|math|\<Phi\><rsub|g>:C[[<value|MM>]]\<rightarrow\>C[[<value|MM>]\
  ];f\<mapsto\>\<Phi\>(f,g)> is contracting for each
  <with|mode|math|g\<in\>C[[<value|MN>]]>. Then there exists a unique mapping
  <with|mode|math|\<Psi\>:C[[<value|MN>]]\<rightarrow\>C[[<value|MM>]]> with
  <with|mode|math|\<Psi\>(g)=\<Phi\>(\<Psi\>(g),<format|no line break>g)> for
  each <with|mode|math|g\<in\>C[[<value|MN>]]>, and <with|mode|math|\<Psi\>>
  is continuous.>

  <\proof>
    Given <with|mode|math|g\<in\>C[[<value|MN>]]>, consider the transfinite
    sequence <with|mode|math|(f<rsub|\<alpha\>>)<rsub|\<alpha\>>> defined as
    follows:

    <expand|eqnarray*|<tformat|<table|<row|<cell|f<rsub|0>>|<cell|\<in\>>|<ce\
    ll|C[[<value|MM>]]<with|mode|text| (any choice of
    <with|mode|math|f<rsub|0>> will do)><space|0.2spc>;>>|<row|<cell|f<rsub|\\
    <alpha\>+1>>|<cell|=>|<cell|\<Phi\><rsub|g>(f<rsub|\<alpha\>>)<space|0.2s\
    pc>;>>|<row|<cell|f<rsub|\<lambda\>>>|<cell|=>|<cell|<below|stat
    lim|\<alpha\>\<less\>\<lambda\>> f<rsub|\<alpha\>>,<with|mode|text| for
    limit ordinals >\<lambda\>.>>>>>

    We will show that <with|mode|math|(f<rsub|\<alpha\>>)<rsub|\<alpha\>>>
    converges to a solution of the equation
    <with|mode|math|f=\<Phi\><rsub|g>(f)>.<vspace|0.5fn>

    <with|math font series|bold|<format|no first indentation><with|font
    series|bold|The sequence <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<alp\
    ha\>>> decreases for <with|mode|math|\<precdot\>>.>> Let us prove by
    (weak) transfinite induction over <with|mode|math|\<alpha\>> that
    <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>\<precdot\>f<rsub|\<\
    beta\>+1>-f<rsub|\<beta\>>> for all ordinals
    <with|mode|math|\<beta\>\<less\>\<alpha\>>. This is clear for
    <with|mode|math|\<alpha\>=0>. Assume that
    <with|mode|math|\<alpha\>=\<beta\>+1> is a successor ordinal. Since
    <with|mode|math|\<Phi\><rsub|g>> is contracting, the induction hypothesis
    then implies that <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>\<\
    precdot\>f<rsub|\<beta\>+1>-f<rsub|\<beta\>>\<preceqdot\>f<rsub|\<gamma\>\
    +1>-f<rsub|\<gamma\>>> for all <with|mode|math|\<gamma\>\<leqslant\>\<bet\
    a\>\<less\>\<alpha\>>.

    If <with|mode|math|\<alpha\>> is a limit ordinal and
    <with|mode|math|\<beta\>\<less\>\<alpha\>>, then let us prove by a second
    (weak) transfinite induction over <with|mode|math|\<gamma\>> that
    <with|mode|math|f<rsub|\<gamma\>>-f<rsub|\<beta\>+1>\<precdot\>f<rsub|\<b\
    eta\>+1>-f<rsub|\<beta\>>> for all <with|mode|math|\<beta\>+1\<less\>\<ga\
    mma\>\<less\>\<alpha\>>. This is indeed true for
    <with|mode|math|\<gamma\>=\<beta\>+2>, by the first induction hypothesis.
    Assuming that <with|mode|math|f<rsub|\<gamma\>>-f<rsub|\<beta\>+1>\<precd\
    ot\>f<rsub|\<beta\>+1>-f<rsub|\<beta\>>>, we also have

    <expand|equation*|f<rsub|\<gamma\>+1>-f<rsub|\<beta\>+1>=(f<rsub|\<gamma\\
    >+1>-f<rsub|\<gamma\>>)+(f<rsub|\<gamma\>>-f<rsub|\<beta\>+1>)\<precdot\>\
    f<rsub|\<beta\>+1>-f<rsub|\<beta\>>,>

    again by the first induction hypothesis and proposition
    <reference|negl>(<with|font shape|italic|c>). If
    <with|mode|math|\<gamma\>> is a limit ordinal, then the second induction
    hypothesis implies that <with|mode|math|f<rsub|\<delta\>>-f<rsub|\<beta\>\
    +1>\<precdot\>f<rsub|\<beta\>+1>-f<rsub|\<beta\>>> for all
    <with|mode|math|\<beta\>\<less\>\<delta\>\<less\>\<gamma\>>. Hence,

    <expand|equation*|f<rsub|\<gamma\>>-f<rsub|\<beta\>+1>=(<below|stat
    lim|\<delta\>\<less\>\<gamma\>> f<rsub|\<delta\>>)-f<rsub|\<beta\>+1>=(<b\
    elow|stat lim|\<beta\>\<less\>\<delta\>\<less\>\<gamma\>>
    \ f<rsub|\<delta\>>)-f<rsub|\<beta\>+1>\<precdot\>f<rsub|\<beta\>+1>-f<rs\
    ub|\<beta\>>,>

    by proposition <reference|negl>(<with|font shape|italic|d>).

    At this point, we have proved that <with|mode|math|f<rsub|\<gamma\>>-f<rs\
    ub|\<beta\>+1>\<precdot\>f<rsub|\<beta\>+1>-f<rsub|\<beta\>>> for all
    <with|mode|math|\<beta\>+1\<less\>\<gamma\>\<less\>\<alpha\>>. Now
    proposition <reference|negl>(<with|font shape|italic|d>) implies that

    <expand|equation*|f<rsub|\<alpha\>>-f<rsub|\<beta\>+1>=(<below|stat
    lim|\<gamma\>\<less\>\<alpha\>> f<rsub|\<gamma\>>)-f<rsub|\<beta\>+1>=(<b\
    elow|stat lim|\<beta\>+1\<less\>\<gamma\>\<less\>\<alpha\>>
    f<rsub|\<gamma\>>)-f<rsub|\<beta\>+1>\<precdot\>f<rsub|\<beta\>+1>-f<rsub\
    |\<beta\>>.>

    In a similar way, one proves that <with|mode|math|f<rsub|\<alpha\>>-f<rsu\
    b|\<beta\>+2>\<precdot\>f<rsub|\<beta\>+1>-f<rsub|\<beta\>>>. Since
    <with|mode|math|\<Phi\><rsub|g>> is contracting,
    <with|mode|math|f<rsub|\<alpha\>>-f<rsub|\<beta\>+1>\<precdot\>f<rsub|\<b\
    eta\>+1>-f<rsub|\<beta\>>> also implies that
    <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<beta\>+2>\<precdot\>f<rsub|\\
    <beta\>+1>-f<rsub|\<beta\>>>. Consequently,
    <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>=(f<rsub|\<alpha\>+1\
    >-f<rsub|\<beta\>+2>)+(f<rsub|\<beta\>+2>-f<rsub|\<beta\>+1>)+(f<rsub|\<b\
    eta\>+1>-f<rsub|\<alpha\>>)\<precdot\>f<rsub|\<beta\>+1>-f<rsub|\<beta\>>\
    >, by proposition <reference|negl>(<with|font
    shape|italic|c>).<vspace|0.5fn>

    <format|no first indentation><with|font series|bold|Existence and
    uniqueness.> Having shown that the sequence
    <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>> is decreasing for
    <with|mode|math|\<precdot\>>, we now claim that we must have
    <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>=0> for some
    sufficiently large <with|mode|math|\<alpha\>>. Otherwise, each of the
    sets <with|mode|math|<value|md>(f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>)>
    of <with|mode|math|\<preccurlyeq\>>-maximal monomials of
    <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>> would be non
    empty, so that <with|mode|math|<value|md>(f<rsub|\<beta\>+1>-f<rsub|\<bet\
    a\>>)\<cap\><value|md>(f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>)\<neq\>\<var\
    nothing\>> for some <with|mode|math|\<beta\>\<less\>\<alpha\>>. Indeed,
    this will happen as soon as the monomials in <with|mode|math|<value|MM>>
    get exhausted, i.e. for some <with|mode|math|\<beta\>\<less\>\<alpha\>>
    such that the cardinality of <with|mode|math|\<alpha\>> is the one larger
    than the cardinality of <with|mode|math|<value|MM>>. Now let
    <with|mode|math|<value|mm>\<in\><value|md>(f<rsub|\<beta\>+1>-f<rsub|\<be\
    ta\>>)\<cap\><value|md>(f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>)>. Since
    <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>\<precdot\>f<rsub|\<\
    beta\>+1>-f<rsub|\<beta\>>>, there exists an
    <with|mode|math|<value|mn>\<in\>supp (f<rsub|\<beta\>+1>-f<rsub|\<beta\>>\
    )> with <with|mode|math|<value|mn>\<succ\><value|mm>>. But this
    contradicts the <with|mode|math|\<preccurlyeq\>>-maximality of
    <with|mode|math|<value|mm>> in <with|mode|math|supp
    f<rsub|\<beta\>+1>-f<rsub|\<beta\>>>. This shows our claim and we
    conclude that the <with|mode|math|\<Psi\>(g)\<equiv\>f<rsub|\<alpha\>>>
    with <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>=0> satisfies
    <with|mode|math|\<Psi\>(g)=\<Phi\><rsub|g>(\<Psi\>(g))>.

    Assume now that two Noetherian series <with|mode|math|f> and
    <with|mode|math|f<rprime|'>> both satisfy
    <with|mode|math|f=\<Phi\><rsub|g>(f)> and
    <with|mode|math|f<rprime|'>=\<Phi\><rsub|g>(f<rprime|'>)>. Then
    <with|mode|math|f<rprime|'>-f=\<Phi\><rsub|g>(f<rprime|'>)-\<Phi\><rsub|g\
    >(f)\<precdot\>f<rprime|'>-f>, since <with|mode|math|\<Phi\><rsub|g>> is
    contracting. But we can only have <with|mode|math|f<rprime|'>-f\<precdot\\
    >f<rprime|'>-f> if <with|mode|math|f<rprime|'>=f>. This establishes the
    existence and the uniqueness of the mapping
    <with|mode|math|\<Psi\>>.<vspace|0.5fn>

    <format|no first indentation><with|font series|bold|Continuity.> In order
    to prove that <with|mode|math|\<Psi\>> is continuous in any given
    <with|mode|math|g<rsub|0>\<in\>C[[<value|MN>]]>, let
    <with|mode|math|W=\<Psi\>(g<rsub|0>)+C[[<value|MH>]]> be an attractive
    open neighbourhood of <with|mode|math|\<Psi\>(g<rsub|0>)>. Then there
    exists an attractive open subset of <with|mode|math|C[[<value|MM>]]\<time\
    s\>C[[<value|MN>]]> of the form <with|mode|math|U\<times\>V=(\<Psi\>(g<rs\
    ub|0>)+C[[<value|MF>]])\<times\>(g<rsub|0>+C[[<value|MG>]])>, such that
    <with|mode|math|\<Phi\>(U\<times\>V)\<subseteq\>W>. We claim that
    <with|mode|math|\<Psi\>(V)\<subseteq\>W>. Indeed, let
    <with|mode|math|g\<in\>V>. Taking <with|mode|math|f<rsub|0>=\<Psi\>(g<rsu\
    b|0>)> in our sequence above, it suffices to prove that
    <with|mode|math|f<rsub|\<alpha\>>\<in\>W> for all
    <with|mode|math|\<alpha\>>. We prove this by transfinite induction.

    For <with|mode|math|\<alpha\>=0> and <with|mode|math|\<alpha\>=1>, we are
    already done. If <with|mode|math|\<alpha\>=\<beta\>+1\<gtr\>\<gamma\>\<ge\
    qslant\>0>, then <with|mode|math|f<rsub|\<alpha\>>-f<rsub|\<beta\>>\<prec\
    dot\>f<rsub|\<gamma\>+1>-f<rsub|\<gamma\>>\<in\>C[[<value|MH>]]> implies
    that <with|mode|math|f<rsub|\<alpha\>>-f<rsub|\<beta\>>\<in\>C[[<value|MH\
    >]]>, whence <with|mode|math|f<rsub|\<alpha\>>\<in\>W>. If
    <with|mode|math|\<alpha\>> is a limit ordinal, then we have seen above
    that <with|mode|math|f<rsub|\<alpha\>>-f<rsub|\<beta\>+1>\<precdot\>f<rsu\
    b|\<beta\>+1>-f<rsub|\<beta\>>> for all
    <with|mode|math|\<beta\>\<less\>\<alpha\>>. Taking any such
    <with|mode|math|\<beta\>>, we also have
    <with|mode|math|f<rsub|\<beta\>+1>-f<rsub|\<beta\>>\<in\>C[[<value|MH>]]>
    by the induction hypothesis, whence again
    <with|mode|math|f<rsub|\<alpha\>>-f<rsub|\<beta\>+1>\<in\>C[[<value|MH>]]\
    > and <with|mode|math|f<rsub|\<alpha\>>\<in\>W>. This completes the
    induction and the proof of the theorem.
  </proof>

  <remark|The theorem still holds for monomial sets
  <with|mode|math|<value|MM>> without ``infinite combs'' <format|no line
  break><apply|cite|PrCrRib93>. Our proof also generalizes to this setting,
  because it can be shown in this case that the stationary limit of a
  sequence <with|mode|math|(f<rsub|\<alpha\>>)<rsub|\<alpha\>\<less\>\<beta\>\
  >\<in\>C[[<value|MM>]]<rsup|\<beta\>>> exists, whenever
  <with|mode|math|f<rsub|\<alpha\>+1>-f<rsub|\<alpha\>>> is strictly
  decreasing for <with|mode|math|\<precdot\>>.>

  <\remark>
    Although the above topological implicit function theorem may be very
    useful to solve certain parameterized functional equations over
    Noetherian series, one of its major drawbacks is that we needed the very
    strong Noetherianity assumption on <with|mode|math|<value|MM>> in the
    partial context. Even the slightly weaker condition about the absence of
    infinite combs is usually not satisfied. The functional equation

    <expand|equation*|f(z<rsub|1>,z<rsub|2>)=1+(z<rsub|1>+z<rsub|2>)*f<left|(\
    ><sqrt|z<rsub|1>>,<sqrt|z<rsub|2>><space|0.4spc><right|)>>

    with <with|mode|math|<value|MM>={z<rsub|1><rsup|\<alpha\><rsub|1>>*z<rsub\
    |2><rsup|\<alpha\><rsub|2>>\|\<alpha\><rsub|1>,\<alpha\><rsub|2>\<in\><wi\
    th|math font|Bbb*|Q><rsup|\<geqslant\>0>\<wedge\>\<alpha\><rsub|1>+\<alph\
    a\><rsub|2>\<less\>2}> is an example which shows that there is not much
    hope for a stronger implicit function theorem in the same spirit. Indeed,
    the natural ``solution'' to this equation, which is obtained by
    recursively replacing the left hand side by the right hand side in the
    equation, does not have a Noetherian support.
  </remark>

  <\remark>
    Another drawback of theorem <reference|ifth1>, is that it does not
    provide us with any additional information about the solutions. The
    solutions may even be quite pathological: consider the monomial group
    <with|mode|math|x<rsup|<with|math font|Bbb*|R>>> with
    <with|mode|math|x<rsup|\<alpha\>>\<succcurlyeq\>x<rsup|\<beta\>>\<Leftrig\
    htarrow\>\<alpha\>\<geqslant\>\<beta\>>. Given
    <with|mode|math|f\<in\><with|math font|Bbb*|R>[[x<rsup|<with|math
    font|Bbb*|R>>]]>, we denote <with|mode|math|f<rsup|\<uparrow\>>=<big|sum>\
    <rsub|\<alpha\>\<gtr\>0>f<rsub|x<rsup|\<alpha\>>>*x<rsup|\<alpha\>>>. We
    define a linear (but not strongly linear) operator
    <with|mode|math|L:<with|math font|Bbb*|R>[[x<rsup|<with|math
    font|Bbb*|R>>]]\<rightarrow\><with|math font|Bbb*|R>[[x<rsup|<with|math
    font|Bbb*|R>>]]> by

    <expand|eqnarray*|<tformat|<table|<row|<cell|L
    (f(x))>|<cell|=>|<cell|f<rsup|\<uparrow\>>(<sqrt|x>)+f<rsup|\<uparrow\>>(\
    1/<sqrt|x>),<with|mode|text| if >supp f<with|mode|text| is
    finite>;>>|<row|<cell|L (f(x))>|<cell|=>|<cell|f<rsup|\<uparrow\>>(<sqrt|\
    x>),<with|mode|text| otherwise>.>>>>>

    Then it is easily verified that <with|mode|math|L> is contracting (whence
    continuous) on <with|mode|math|<with|math font|Bbb*|R>[[x<rsup|<with|math
    font|Bbb*|R>>]]>. The equation

    <expand|equation*|f(x)=x+L(f(x))>

    will therefore admit a unique solution, which happens to be
    <with|mode|math|f(x)=x+<sqrt|x>+<sqrt|<sqrt|x>>+\<cdots\>>. However, we
    do <with|font shape|italic|not> have <with|mode|math|f(x)=x+L(x)+L(L(x))+\
    \<cdots\>>.
  </remark>

  <section|Noetherian operators and combinatorial
  representations><label|op::nop>

  <subsection|Noetherian operators>

  Let <with|mode|math|<value|MM>> and <with|mode|math|<value|MN>> be sets of
  monomials. A <with|font shape|italic|Noetherian operator> is a mapping
  <with|mode|math|\<Phi\>:C[[<value|MM>]]\<rightarrow\>C[[<value|MN>]]>, such
  that there exists a family <with|mode|math|(M<rsub|i>)<rsub|i\<in\>I>> of
  strongly multilinear mappings <with|mode|math|M<rsub|i>:C[[<value|MM>]]<rsu\
  p|\|i\|>\<rightarrow\>C[[<value|MN>]]> with

  <equation|\<Phi\><left|(><big|sum><rsub|k\<in\>K>f<rsub|k><right|)>=<big|su\
  m><rsub|<expand|tabular*|<tformat|<table|<row|<cell|i\<in\>I>>|<row|<cell|k\
  <rsub|1>,\<ldots\>,k<rsub|\|i\|>\<in\>K>>>>>>M<rsub|i>(f<rsub|k<rsub|1>>,\<\
  ldots\>,f<rsub|k<rsub|\|i\|>>),<label|nop-main>>

  for all Noetherian families <with|mode|math|(f<rsub|k>)<rsub|k\<in\>K>\<in\\
  >C[[<value|MM>]]<rsup|K>>. In particular, this assumes that the family of
  summands <with|mode|math|M<rsub|i>(f<rsub|k<rsub|1>>,\<ldots\>,f<rsub|k<rsu\
  b|\|i\|>>)> is Noetherian. We will call
  <with|mode|math|(M<rsub|i>)<rsub|i\<in\>I>> a <with|font
  shape|italic|multilinear decomposition> of <with|mode|math|\<Phi\>>. The
  number <with|mode|math|\|i\|\<in\><with|math font|Bbb*|N>> is the
  <with|font shape|italic|arity> of <with|mode|math|M<rsub|i>>.

  By regrouping the <with|mode|math|M<rsub|i>> of the same arity, it actually
  suffices to consider the case when <with|mode|math|I=<with|math
  font|Bbb*|N>> and there is exactly one <with|mode|math|M<rsub|i>> for each
  arity <with|mode|math|i\<in\><with|math font|Bbb*|N>>. In this case, we may
  write <with|mode|math|\<Phi\>=\<Phi\><rsub|0>+\<Phi\><rsub|1>+\<cdots\>>,
  with <with|mode|math|\<Phi\><rsub|i>(f)=M<rsub|i>(f,\<ldots\>,f)> for all
  <with|mode|math|f> and <with|mode|math|i>. In section <reference|canmld>,
  we will see that this representation is unique, under the assumption that
  <with|mode|math|C\<supseteq\><with|math font|Bbb*|Q>> and that the
  <with|mode|math|M<rsub|i>> are symmetric (we may always take the
  <with|mode|math|M<rsub|i>> to be symmetric if
  <with|mode|math|C\<supseteq\><with|math font|Bbb*|Q>>). However, for the
  purpose of combinatorial representations in the next section, it is natural
  to consider more general multilinear decompositions. Notice also that the
  space of Noetherian operators from <with|mode|math|C[[<value|MM>]]\<rightar\
  row\>C[[<value|MN>]]> has a natural strong group structure.

  <\remark>
    The formula (<reference|nop-main>) should hold in particular for families
    that consist of only one element. In other words, we should have

    <expand|equation*|\<Phi\>(f)=<big|sum><rsub|i\<in\>I>M<rsub|i>(f,\<ldots\\
    >,f),>

    for all <with|mode|math|f\<in\>C[[<value|MM>]]>. However, the more
    complicated assumption (<reference|nop-main>) is essential, as you will
    notice in example <reference|noethop-comp> below.
  </remark>

  <remark|In view of remark <reference|prod-ident> the present definition of
  Noetherian operators also provides a definition of multivariate Noetherian
  operators.>

  <\example>
    <label|noethop-elem>

    <\itemize>
      <item>Each constant mapping <with|mode|math|\<Phi\>:C[[<value|MM>]]\<ri\
      ghtarrow\>C[[<value|MN>]];f\<mapsto\>c> is a Noetherian operator.

      <item>Any strongly linear or strongly multilinear operator
      <with|mode|math|L> resp.<group|> <with|mode|math|M> is a Noetherian
      operator.

      <item>Addition <with|mode|math|+:C[[<value|MM>]]<rsup|2>\<rightarrow\>C\
      [[<value|MM>]];(f,g)\<mapsto\>f+g> is a Noetherian operator.

      <item>If <with|mode|math|<value|MM>> is a monomial monoid, then
      multiplication on <with|mode|math|C[[<value|MM>]]> is a Noetherian
      operator.
    </itemize>
  </example>

  <\example>
    <label|noethop-sm>Let <with|mode|math|\<Phi\>,\<Psi\>:C[[<value|MM>]]\<ri\
    ghtarrow\>C[[<value|MN>]]> be Noetherian operators.

    <\itemize>
      <item><with|mode|math|\<Phi\>+\<Psi\>:f\<mapsto\>\<Phi\>(f)+\<Psi\>(f)>
      is a Noetherian operator.

      <item>If <with|mode|math|<value|MN>> is a monomial monoid, then
      <with|mode|math|\<Phi\>*\<Psi\>:f\<mapsto\>\<Phi\>(f)*\<Psi\>(f)> is a
      Noetherian operator.
    </itemize>
  </example>

  <\example>
    <label|noethop-comp>Let <with|mode|math|\<Phi\>:C[[<value|MM>]]\<rightarr\
    ow\>C[[<value|MN>]]> and <with|mode|math|\<Psi\>:C[[<value|MN>]]\<rightar\
    row\>C[[<value|MV>]]> be two Noetherian operators. Then we claim that
    <with|mode|math|\<Psi\>\<circ\>\<Phi\>> is also a Noetherian operator.
    Indeed, let <with|mode|math|(M<rsub|i>)<rsub|i\<in\>I>> resp.
    <with|mode|math|(N<rsub|j>)<rsub|j\<in\>J>> be multilinear decompositions
    of <with|mode|math|\<Phi\>> and <with|mode|math|\<Psi\>>. Then for each
    Noetherian family <with|mode|math|(f<rsub|k>)<rsub|k\<in\>K>\<in\>C[[<val\
    ue|MM>]]<rsup|K>> we have

    <expand|eqnarray*|<tformat|<table|<row|<cell|\<Psi\>\<circ\>\<Phi\><left|\
    (><big|sum><rsub|k\<in\>K>f<rsub|k><right|)>>|<cell|=>|<cell|\<Psi\><left\
    |(><big|sum><rsub|<expand|tabular*|<tformat|<table|<row|<cell|i\<in\>I>>|\
    <row|<cell|k<rsub|1>,\<ldots\>,k<rsub|\|i\|>\<in\>K>>>>>>M<rsub|i>(f<rsub\
    |k<rsub|1>>,\<ldots\>,f<rsub|k<rsub|\|i\|>>)<right|)>>>|<row|<cell|>|<cel\
    l|=>|<cell|<big|sum><rsub|<expand|tabular*|<tformat|<table|<row|<cell|j\<\
    in\>J>>|<row|<cell|i<rsub|1>,\<ldots\>,i<rsub|\|j\|>\<in\>I>>|<row|<cell|\
    k<rsub|1,1>,\<ldots\>,k<rsub|1,<left|\|>i<rsub|1><right|\|>>\<in\>K>>|<ro\
    w|<cell|\<vdots\>>>|<row|<cell|k<rsub|\|j\|,1>,\<ldots\>,k<rsub|\|j\|,<le\
    ft|\|>i<rsub|\|j\|><right|\|>>\<in\>K>>>>>><rsup|>N<rsub|j>(M<rsub|i<rsub\
    |1>>(f<rsub|k<rsub|1,1>>,\<ldots\>,f<rsub|k<rsub|1,<left|\|>i<rsub|1><rig\
    ht|\|>>>),\<ldots\>,M<rsub|i<rsub|\|j\|>>(f<rsub|k<rsub|\|j\|,1>>,\<ldots\
    \>,f<rsub|k<rsub|\|j\|,<left|\|>i<rsub|\|j\|><right|\|>>>)).>>>>>

    This establishes our claim, since the operators
    <with|mode|math|N<rsub|j>\<circ\><big|prod><rsub|l=1><rsup|\|j\|>M<rsub|i\
    <rsub|l>>> are strongly multilinear. Notice that example
    <reference|noethop-sm> may be looked at as a combination of the present
    example and the last two cases in example <reference|noethop-elem>.
  </example>

  One obtains interesting subclasses of Noetherian operators by restricting
  the strongly multilinear mappings involved in the multilinear
  decompositions to be of a certain type. More precisely, let
  <with|mode|math|<value|MM>> be a monomial monoid and let
  <with|mode|math|math font|cal|M> be a set of strongly multilinear mappings
  <with|mode|math|M:C[[<value|MM>]]<rsup|\|M\|>\<rightarrow\>C[[<value|MM>]]>\
  . We say that <with|mode|math|math font|cal|M> is a <with|font
  shape|italic|multilinear type> if

  <\description>
    <expand|item*|MT1.>The constant mapping <with|mode|math|{0}\<mapsto\>f>
    is in <with|mode|math|math font|cal|M> for each
    <with|mode|math|f\<in\>C[[<value|MM>]]>.

    <expand|item*|MT2.>The <with|mode|math|i>-th projection mapping
    <with|mode|math|\<pi\><rsub|i>:C[[<value|MM>]]<rsup|\|M\|>\<rightarrow\>C\
    [[<value|MM>]]> is in <with|mode|math|math font|cal|M> for
    <with|mode|math|i=1,\<ldots\>,\|M\|>.

    <expand|item*|MT3.>The multiplication mapping from
    <with|mode|math|C[[<value|MM>]]<rsup|2>> into
    <with|mode|math|C[[<value|MM>]]> is in <with|mode|math|math font|cal|M>.

    <expand|item*|MT4.>If <with|mode|math|M,N<rsub|1>,\<ldots\>,N<rsub|\|M\|>\
    \<in\><with|math font|cal|M>>, then <with|mode|math|M\<circ\><big|prod><r\
    sub|i=1><rsup|\|M\|>N<rsub|i>\<in\><with|math font|cal|M>>.
  </description>

  Given subsets <with|mode|math|<value|MV><rsub|1>,\<ldots\>,<value|MV><rsub|\
  v>,<value|MW><rsub|1>,\<ldots\>,<value|MW><rsub|w>> of
  <with|mode|math|<value|MM>>, we say that a strongly multilinear mapping

  <expand|equation*|M:C[[<value|MV><rsub|1>]]\<times\>\<cdots\>\<times\>C[[<v\
  alue|MV><rsub|v>]]\<rightarrow\>C[[<value|MW><rsub|1>]]\<times\>\<cdots\>\<\
  times\>C[[<value|MW><rsub|w>]]>

  is <with|font shape|italic|of type> <with|mode|math|math font|cal|M>, if
  for <with|mode|math|i=1,\<ldots\>,w>, there exists a mapping
  <with|mode|math|N<rsub|i>:C[[<value|MM>]]<rsup|v>\<rightarrow\>C[[<value|MM\
  >]]> in <with|mode|math|math font|cal|M>, such that
  <with|mode|math|\<pi\><rsub|i>\<circ\>M> coincides with the restriction of
  the domain and image of <with|mode|math|N<rsub|i>> to
  <with|mode|math|C[[<value|MV><rsub|1>]]\<times\>\<cdots\>\<times\>C[[<value\
  |MV><rsub|v>]]> resp. <with|mode|math|C[[<value|MW><rsub|i>]]>. We say that
  a Noetherian operator

  <expand|equation*|\<Phi\>:C[[<value|MV><rsub|1>]]\<times\>\<cdots\>\<times\\
  >C[[<value|MV><rsub|v>]]\<rightarrow\>C[[<value|MW><rsub|1>]]\<times\>\<cdo\
  ts\>\<times\>C[[<value|MW><rsub|w>]]>

  is of type <with|mode|math|math font|cal|M>, if it admits a multilinear
  decomposition consisting of strongly multilinear mappings of type
  <with|mode|math|math font|cal|M> only. In examples <reference|noethop-sm>
  and <reference|noethop-comp>, we may then replace ``Noetherian operator''
  by ``Noetherian operator of type <with|mode|math|math font|cal|M>''.

  <example|For any set <with|mode|math|math font|cal|S> of strongly linear
  mappings <with|mode|math|C[[<value|MM>]]\<rightarrow\>C[[<value|MM>]]>,
  there exists a smallest multilinear type <with|mode|math|<with|math
  font|cal|M>=\<langle\><with|math font|cal|S>\<rangle\>> which contains
  <with|mode|math|math font|cal|S>. Taking <with|mode|math|<with|math
  font|Bbb*|T>=C[[<value|MM>]]> to be the field of transseries whose
  logarithmic and exponential depths are bounded by
  <with|mode|math|\<omega\>>, interesting special cases are obtained when
  taking <with|mode|math|<with|math font|cal|S>={\<partial\>}> or
  <with|mode|math|<with|math font|cal|S>={<apply|I>}>. Noetherian operators
  of type <with|mode|math|\<langle\>{\<partial\>}\<rangle\>> resp.
  <with|mode|math|\<langle\>{<apply|I>}\<rangle\>> may then simply be called
  <with|font shape|italic|differential> resp. <with|font
  shape|italic|integral Noetherian operators>. Given a finite subset
  <with|mode|math|g<rsub|1>,\<ldots\>,g<rsub|n>> of positive infinitely large
  transseries in <with|mode|math|math font|Bbb*|T>, another interesting case
  is obtained by taking <with|mode|math|<with|math
  font|cal|S>={\<circ\><rsub|g<rsub|1>>,\<ldots\>,\<circ\><rsub|g<rsub|n>>}>,
  where <with|mode|math|\<circ\><rsub|g<rsub|i>>>stands for right composition
  with <with|mode|math|g<rsub|i>>.>

  <subsection|Combinatorial representations of Noetherian operators>

  Let <with|mode|math|\<Phi\>:C[[<value|MM>]]\<rightarrow\>C[[<value|MN>]]>
  be a Noetherian operator with a multilinear decomposition
  <with|mode|math|(M<rsub|i>)<rsub|i\<in\>I>>. Then <with|mode|math|\<Phi\>>
  is uniquely determined by the action of the <with|mode|math|M<rsub|i>> on
  monomials in <with|mode|math|<value|MM>>. For the deeper theory of
  Noetherian operators, it is convenient to represent this action in a
  combinatorial way.

  Abstractly speaking, a set of <with|font
  shape|italic|<with|mode|math|<value|MM>>-labeled structures> is a set
  <with|mode|math|\<Sigma\>>, together with a map that assigns to each
  <with|mode|math|\<sigma\>\<in\>\<Sigma\>> a <with|font
  shape|italic|labeling> <with|mode|math|\<sigma\>[\<cdot\>]:{1,\<ldots\>,\|\\
  <sigma\>\|}\<rightarrow\><value|MM>;p\<mapsto\>\<sigma\>[p]>, where
  <with|mode|math|\|\<sigma\>\|\<in\><with|math font|Bbb*|N>> stands for the
  size or arity of <format|no line break><with|mode|math|\<sigma\>>; for
  simplicity, we denote such a set of <with|mode|math|<value|MM>> labeled
  structures also by <with|mode|math|\<Sigma\>>. For each subset
  <with|mode|math|<apply|MS>> of <with|mode|math|<value|MM>>, we denote the
  subset of <with|mode|math|<apply|MS>>-labeled structures in
  <with|mode|math|\<Sigma\>> by

  <expand|equation*|\<Sigma\><rsub|<apply|MS>>=<left|{>\<sigma\>\<in\>\<Sigma\
  \>\|im \<sigma\>[\<cdot\>]\<subseteq\><with|formula
  style|false|<apply|MS>><right|}>.>

  We strictly order couples in <with|mode|math|\<Sigma\>\<times\><value|MM>>
  by <with|mode|math|(\<sigma\>,<value|mm>)\<succ\>(\<sigma\><rprime|'>,<valu\
  e|mm><rprime|'>)\<Leftrightarrow\><value|mm>\<succ\><value|mm><rprime|'>>.
  A mapping <with|mode|math|\<theta\>:\<Sigma\>\<rightarrow\><apply|PS>(<valu\
  e|MN>)> is called a <with|font shape|italic|choice operator>. We say that
  <with|mode|math|\<theta\>> is <with|font shape|italic|Noetherian>, if for
  any Noetherian subset <with|mode|math|<apply|MS>> of
  <with|mode|math|<value|MM>>, the subset

  <expand|equation*|{(\<sigma\>,<value|mn>)\|\<sigma\>\<in\>\<Sigma\><rsub|<a\
  pply|MS>>\<wedge\><value|mn>\<in\>\<theta\>(\<sigma\>)}>

  of <with|mode|math|\<Sigma\>\<times\><value|MN>> is Noetherian.

  <example|Let <with|mode|math|f:<value|MM><rsup|m>\<rightarrow\><value|MM>>
  be a strictly increasing <with|mode|math|m>-ary operation and let
  <with|mode|math|\<Sigma\>=<value|MM><rsup|m>>, with
  <with|mode|math|(x<rsub|1>,\<ldots\>,x<rsub|m>)[p]=x<rsub|p>> for all
  <with|mode|math|x<rsub|1>,\<ldots\>,x<rsub|m>\<in\><value|MM>> and
  <with|mode|math|1\<leqslant\>p\<leqslant\>m>. Then
  <with|mode|math|\<theta\>:\<Sigma\>\<rightarrow\><value|PS>(<value|MM>);(x<\
  rsub|1>,\<ldots\>,x<rsub|m>)\<mapsto\>{f(x<rsub|1>,\<ldots\>,<format|no
  line break>x<rsub|m>)}> is a Noetherian choice operator.>

  <expand|big-figure|<postscript|choice.ps|*1/2|*1/2||||>|<label|choice-fig>G\
  raphical representation of the action of <with|mode|math|\<theta\><rsup|M>>
  on the structure <with|mode|math|\<sigma\>\<in\>\<Sigma\><rsup|M>> with
  input <with|mode|math|(e<rsup|-e<rsup|x>>,e<rsup|-e<rsup|x>>)>, for the
  strongly bilinear operator <with|mode|math|M:(f,g)\<mapsto\><big|int>f*g>.
  Notice that <with|mode|math|<big|int>e<rsup|-2*e<rsup|x>>=e<rsup|-2*e<rsup|\
  x>>*(-<frac|1|2*e<rsup|x>>+<frac|1|4*e<rsup|2*x>>-<frac|1|4*e<rsup|3*x>>+<f\
  rac|3|8*e<rsup|4*x>>+\<cdots\>)>.>

  Returning to our Noetherian operator <with|mode|math|\<Phi\>>, we may see
  each tuple <with|mode|math|\<sigma\>=(i,<value|mm><rsub|1>,\<ldots\>,<value\
  |mm><rsub|\|i\|>)> as an <with|mode|math|<value|MM>>-labeled combinatorial
  structure with <with|mode|math|\|\<sigma\>\|=\|i\|> and
  <with|mode|math|\<sigma\>[p]=<value|mm><rsub|p>> for all
  <with|mode|math|1\<leqslant\>p\<leqslant\>\|\<sigma\>\|>. Let
  <with|mode|math|\<Sigma\>=\<Sigma\><rsup|\<Phi\>>> denote the set of such
  structures. We get a natural Noetherian choice operator
  <with|mode|math|\<theta\>=\<theta\><rsup|\<Phi\>>:\<Sigma\>\<rightarrow\><a\
  pply|PS>(<value|MN>)> by taking <with|mode|math|\<theta\>(\<sigma\>)=supp
  M<rsub|i>(<value|mm><rsub|1>,\<ldots\>,<value|mm><rsub|\|i\|>)>.
  Graphically speaking (see figure <reference|choice-fig>), we may represent
  the action of <with|mode|math|\<theta\>> on <with|mode|math|\<sigma\>> by a
  box with (a tuple of) ``inputs'' in <with|mode|math|<value|MM>> and (a set
  of) ``outputs'' in <with|mode|math|<value|MN>>.

  Inversely, given a Noetherian choice operator
  <with|mode|math|\<theta\>:\<Sigma\>\<rightarrow\><apply|PS>(<value|MN>)>
  and an operator <with|mode|math|\<Theta\>:\<Sigma\>\<rightarrow\>C[[<value|\
  MN>]]> with <with|mode|math|supp \<Theta\>(\<sigma\>)\<subseteq\>\<theta\>(\
  \<sigma\>)> for all <with|mode|math|\<sigma\>\<in\>\<Sigma\>>, we define a
  Noetherian operator by

  <equation|\<Phi\>(f)=<big|sum><rsub|\<sigma\>\<in\>\<Sigma\>><left|(><big|p\
  rod><rsub|p=1><rsup|\|\<sigma\>\|>f<rsub|\<sigma\>[p]><right|)>*\<Theta\>(\\
  <sigma\>).<label|noethop-fund>>

  As to its multilinear decomposition, we associate an
  <with|mode|math|M<rsub|\<sigma\>>:C[[<value|MM>]]<rsup|\|\<sigma\>\|>\<righ\
  tarrow\>C[[<value|MN>]]> to each <with|mode|math|\<sigma\>\<in\>\<Sigma\>>
  by

  <expand|equation*|M<rsub|\<sigma\>>(f<rsub|1>,\<ldots\>,f<rsub|\|\<sigma\>\\
  |>)=<left|(><big|prod><rsub|p=1><rsup|\|\<sigma\>\|>f<rsub|p,\<sigma\>[p]><\
  right|)>*\<Theta\>(\<sigma\>).>

  For Noetherian families <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[\
  <value|MM>]]<rsup|I>>, we indeed have

  <expand|eqnarray*|<tformat|<table|<row|<cell|\<Phi\><left|(><big|sum><rsub|\
  i\<in\>I>f<rsub|i><right|)>>|<cell|=>|<cell|<big|sum><rsub|\<sigma\>\<in\>\\
  <Sigma\>><left|(><big|prod><rsub|p=1><rsup|\|\<sigma\>\|><big|sum><rsub|i\<\
  in\>I>f<rsub|i,\<sigma\>[p]><right|)>*\<Theta\>(\<sigma\>)>>|<row|<cell|>|<\
  cell|=>|<cell|<big|sum><rsub|<expand|tabular*|<tformat|<table|<row|<cell|\<\
  sigma\>\<in\>\<Sigma\>>>|<row|<cell|i<rsub|1>,\<ldots\>,i<rsub|\|\<sigma\>\\
  |>\<in\>I>>>>>><left|(><big|prod><rsub|p=1><rsup|\|\<sigma\>\|>f<rsub|i<rsu\
  b|p>,\<sigma\>[p]><right|)>*\<Theta\>(\<sigma\>)>>|<row|<cell|>|<cell|=>|<c\
  ell|<big|sum><rsub|<expand|tabular*|<tformat|<table|<row|<cell|\<sigma\>\<i\
  n\>\<Sigma\>>>|<row|<cell|i<rsub|1>,\<ldots\>,i<rsub|\|\<sigma\>\|>\<in\>I>\
  >>>>>M<rsub|\<sigma\>>(f<rsub|i<rsub|1>>,\<ldots\>,f<rsub|i<rsub|p>>),>>>>>

  since for each <with|mode|math|\<sigma\>\<in\>\<Sigma\>>, there are only
  finitely many tuples <with|mode|math|(i<rsub|1>,\<ldots\>,i<rsub|\|\<sigma\\
  >\|>)\<in\>I<rsup|\|\<sigma\>\|>>, such that
  <with|mode|math|<big|prod><rsub|p=1><rsup|\|\<sigma\>\|>f<rsub|i<rsub|p>,\<\
  sigma\>[p]>\<neq\>0>.

  <subsection|Composition of choice operators><label|nco-comp>

  In example <reference|noethop-comp>, we have shown that the composition of
  two Noetherian operators <with|mode|math|\<Phi\>:C[[<value|MM>]]\<rightarro\
  w\>C[[<value|MN>]]> and <with|mode|math|\<Psi\>:C[[<value|MN>]]\<rightarrow\
  \>C[[<value|MV>]]> is again Noetherian. Let us now show how to interpret
  the composition <with|mode|math|\<Psi\>\<circ\>\<Phi\>> in a combinatorial
  way. Denote the natural choice operators associated to
  <with|mode|math|\<Phi\>> and <with|mode|math|\<Psi\>> by
  <with|mode|math|\<theta\>:\<Sigma\>\<rightarrow\><apply|PS>(<value|MN>)>
  resp. <with|mode|math|\<xi\>:\<Tau\>\<rightarrow\><apply|PS>(<value|MV>)>.
  We first define the composition <with|mode|math|\<xi\>\<circ\>\<theta\>:\<U\
  psilon\>\<rightarrow\><apply|PS>(<value|MV>)> of the choice operators
  <with|mode|math|\<xi\>> and <with|mode|math|\<theta\>>. Then
  <with|mode|math|\<Phi\>>, <with|mode|math|\<Psi\>> and
  <with|mode|math|\<Psi\>\<circ\>\<Phi\>> will be given by
  (<reference|noethop-fund>) and similar formulas, for certain mappings
  <with|mode|math|\<Theta\>:\<Sigma\>\<rightarrow\>C[[<value|MN>]]>,
  <with|mode|math|\<Xi\>:\<Tau\>\<rightarrow\>C[[<value|MV>]]> resp.
  <with|mode|math|\<Xi\>\<circ\>\<Theta\>:\<Upsilon\>\<rightarrow\>C[[<value|\
  MV>]]>. Here we may assume that <with|mode|math|\<Theta\>> and
  <with|mode|math|\<Xi\>> are given and we have to construct
  <with|mode|math|\<Xi\>\<circ\>\<Theta\>>.

  Let <with|mode|math|\<tau\>\<in\>\<Tau\>> be given together with a tuple
  <with|mode|math|\<sigma\>=(\<sigma\><rsub|1>,\<ldots\>,\<sigma\><rsub|\|\<t\
  au\>\|>)\<in\>\<Sigma\><rsup|\|\<tau\>\|>>, such that
  <with|mode|math|\<tau\>[q]\<in\>\<theta\>(\<sigma\><rsub|q>)> for each
  <with|mode|math|1\<leqslant\>q\<leqslant\>\|\<tau\>\|>. Then these data
  determine a unique <with|mode|math|<value|MM>>-labeled structure
  <with|mode|math|\<upsilon\>=\<tau\>[\<sigma\>]>, with
  <with|mode|math|\|\<upsilon\>\|=<big|sum><rsub|q=1><rsup|\|\<tau\>\|>\|\<si\
  gma\><rsub|q>\|> and <with|mode|math|\<upsilon\>[p+<big|sum><rsub|r=1><rsup\
  |q-1>\|\<sigma\><rsub|r>\|]=\<sigma\><rsub|q>[p],> for all
  <with|mode|math|1\<leqslant\>q\<leqslant\>\|\<tau\>\|> and
  <with|mode|math|1\<leqslant\>p\<leqslant\>\|\<sigma\><rsub|q>\|>. We define
  <with|mode|math|\<Upsilon\>> to be the set of all such combinatorial
  structures (see figure <reference|comp-fig>). Then we claim that the choice
  operator <with|mode|math|\<xi\>\<circ\>\<theta\>:\<Upsilon\>\<rightarrow\><\
  apply|PS>(<value|MV>);\<tau\>[\<sigma\>]\<mapsto\>\<xi\>(\<tau\>)> is
  Noetherian.

  So let <with|mode|math|<apply|MS>> be a Noetherian subset of
  <with|mode|math|<value|MM>>. We will prove that for any sequence
  <with|mode|math|x<rsub|1>=(\<tau\><rsub|1>[\<sigma\><rsub|1>]<rsub|>,<value\
  |mv><rsub|1>),x<rsub|2>=(\<tau\><rsub|2>[\<sigma\><rsub|2>],<value|mv><rsub\
  |2>),\<ldots\>> of elements in the set

  <expand|equation*|{(\<tau\>[\<sigma\>],<value|mv>)\|<space|2spc>\<tau\>[\<s\
  igma\>]\<in\>\<Upsilon\><rsub|<apply|MS>>\<wedge\><value|mv>\<in\>\<xi\>(\<\
  tau\>)},<label|comp-set>>

  there exist <with|mode|math|i\<less\>j> with
  <with|mode|math|(\<tau\><rsub|i>[\<sigma\><rsub|i>],<value|mv><rsub|i>)\<su\
  cccurlyeq\>(\<tau\><rsub|j>[\<sigma\><rsub|j>],<value|mv><rsub|j>)>. Since
  <with|mode|math|\<theta\>> is Noetherian,
  <with|mode|math|<apply|MT>=<big|cup><rsub|\<sigma\>\<in\>\<Sigma\>>\<theta\\
  >(\<sigma\>)> is a Noetherian subset of <with|mode|math|<value|MN>>, and we
  observe that <with|mode|math|\<tau\>\<in\>\<Tau\><rsub|<apply|MT>>> for
  each <with|mode|math|\<tau\>[\<sigma\>]\<in\>\<Upsilon\><rsub|<apply|MS>>>.
  Since <with|mode|math|\<xi\>> is Noetherian, we may therefore assume that
  <with|mode|math|(\<tau\><rsub|i>,<value|mv><rsub|i>)\<succcurlyeq\>(\<tau\>\
  <rsub|j>,<value|mv><rsub|j>)>, modulo the extraction of a subsequence. If
  <with|mode|math|<value|mv><rsub|i>\<succ\><value|mv><rsub|j>> for some
  <with|mode|math|i\<less\>j>, then we have
  <with|mode|math|(\<tau\><rsub|i>[\<sigma\><rsub|i>],<value|mv><rsub|i>)\<su\
  cc\>(\<tau\><rsub|j>[\<sigma\><rsub|j>],<value|mv><rsub|j>)> and we are
  done. Hence, we may assume that <with|mode|math|(\<tau\><rsub|1>,<value|mv>\
  <rsub|1>)=(\<tau\><rsub|2>,<format|no line
  break><value|mv><rsub|2>)=\<cdots\>>. We conclude by the observation that
  given <with|mode|math|\<tau\>\<in\>\<Tau\>> there exist only a finite
  number of <with|mode|math|(\<sigma\><rsub|1>,\<ldots\>,\<sigma\><rsub|\|\<t\
  au\>\|>)\<in\>\<Sigma\><rsup|\|\<tau\>\|>>, such that
  <with|mode|math|\<tau\>[\<sigma\>]\<in\>\<Upsilon\><rsub|<apply|MS>>>.
  Indeed, for each <with|mode|math|q>, there are only a finite number of
  <with|mode|math|\<sigma\><rsub|q>\<in\>\<Sigma\><rsub|<apply|MS>>> with
  <with|mode|math|\<tau\>[q]\<in\>\<theta\>(\<sigma\><rsub|q>)>, since
  <with|mode|math|\<theta\>> is Noetherian.

  Now consider the operator <with|mode|math|\<Xi\>\<circ\>\<Theta\>:\<Upsilon\
  \>\<rightarrow\>C[[<value|MV>]];\<tau\>[\<sigma\>]\<mapsto\><left|(><big|pr\
  od><rsub|q=1><rsup|\|\<tau\>\|>\<Theta\>(\<sigma\><rsub|q>)<rsub|\<tau\>[q]\
  ><right|)>*\<Xi\>(\<tau\>)>. \ Clearly, <with|mode|math|supp
  (\<Xi\>\<circ\>\<Theta\>)(\<upsilon\>)\<subseteq\>(\<xi\>\<circ\>\<theta\>)\
  (\<upsilon\>)> for all <with|mode|math|\<upsilon\>\<in\>\<Upsilon\>>. We
  claim that

  <equation|(\<Psi\>\<circ\>\<Phi\>)(f)=<big|sum><rsub|\<upsilon\>\<in\>\<Sig\
  ma\><rsup|\<xi\>\<circ\>\<theta\>>><left|(><big|prod><rsub|r=1
  ><rsup|\|\<upsilon\>\|>f<rsub|\<upsilon\>[r]><right|)>*(\<Xi\>\<circ\>\<The\
  ta\>)(\<upsilon\>),<label|comp-eq>>

  for all <with|mode|math|f\<in\>C[[<value|MM>]]>. Indeed,

  <expand|eqnarray*|<tformat|<table|<row|<cell|(\<Psi\>\<circ\>\<Phi\>)(f)>|<\
  cell|=>|<cell|<big|sum><rsub|\<tau\>\<in\>\<Tau\>><left|(><big|prod><rsub|q\
  =1><rsup|\|\<tau\>\|>\<Phi\>(f)<rsub|\<tau\>[q]><right|)>*\<Xi\>(\<tau\>)>>\
  |<row|<cell|>|<cell|=>|<cell|<big|sum><rsub|\<tau\>\<in\>\<Tau\>><left|[><b\
  ig|prod><rsub|q=1><rsup|\|\<tau\>\|><big|sum><rsub|<expand|tabular*|<tforma\
  t|<table|<row|<cell|\<sigma\><rsub|q>\<in\>\<Sigma\><rsub|\<sigma\>>>>|<row\
  |<cell|\<tau\>[q]\<in\>\<theta\>(\<sigma\><rsub|q>)>>>>>><left|(><big|prod>\
  <rsub|p=1><rsup|\|\<sigma\><rsub|q>\|>f<rsub|\<sigma\><rsub|q>[p]><right|)>\
  **\<Theta\>(\<sigma\><rsub|q>)<rsub|\<tau\>[q]><right|]>*\<Xi\>(\<tau\>)>>|\
  <row|<cell|>|<cell|=>|<cell|<big|sum><rsub|\<tau\>[\<sigma\>]\<in\>\<Upsilo\
  n\>><left|[><big|prod><rsub|q=1><rsup|\|\<tau\>\|><left|(><big|prod><rsub|p\
  =1><rsup|\|\<sigma\><rsub|q>\|>f<rsub|\<sigma\><rsub|q>[p]><right|)>\<Theta\
  \>(\<sigma\><rsub|q>)<rsub|\<tau\>[q]><right|]>*\<Xi\>(\<tau\>)>>|<row|<cel\
  l|>|<cell|=>|<cell|<big|sum><rsub|\<upsilon\>\<in\>\<Upsilon\>><left|(><big\
  |prod><rsub|r=1 ><rsup|\|\<upsilon\>\|>f<rsub|\<upsilon\>[r]><right|)>*(\<X\
  i\>\<circ\>\<Theta\>)(\<upsilon\>).>>>>>

  This yields the desired combinatorial description of the composition
  <with|mode|math|\<Psi\>\<circ\>\<Phi\>>.

  <expand|big-figure|<postscript|comp.ps|*2/3|*2/3||||>|<label|comp-fig>Illus\
  tration of the action of <with|mode|math|\<xi\>\<circ\>\<theta\>> on a
  structure <with|mode|math|\<tau\>[\<sigma\><rsub|1>,\<sigma\><rsub|2>,\<sig\
  ma\><rsub|3>]> in <with|mode|math|\<Upsilon\>>. For each
  <with|mode|math|\<sigma\><rsub|i>> that we attach to
  <with|mode|math|\<tau\>>, we require the ``output'' of
  <with|mode|math|\<sigma\><rsub|i>> to coincide with the ``input'' of
  <with|mode|math|\<tau\>>.>

  <subsection|Canonical multilinear decompositions><label|canmld>

  We already noticed that each Noetherian operator
  <with|mode|math|\<Phi\>:C[[<value|MM>]]\<rightarrow\>C[[<value|MN>]]> has a
  multilinear decomposition of the form <with|mode|math|(M<rsub|i>)<rsub|i\<i\
  n\><with|math font|Bbb*|N>>>, such that <with|mode|math|M<rsub|i>> has
  arity <with|mode|math|i> for each <with|mode|math|i\<in\><with|math
  font|Bbb*|N>>. Setting <with|mode|math|\<Phi\><rsub|i>=M<rsub|i>(f,\<ldots\\
  >,f)> for all <with|mode|math|f> and <with|mode|math|i>, we then have

  <\equation>
    <label|hom-dec>\<Phi\>=\<Phi\><rsub|0>+\<Phi\><rsub|1>+\<Phi\><rsub|2>+\<\
    cdots\>
  </equation>

  Now assume that <with|mode|math|C\<supseteq\><with|math font|Bbb*|Q>> (so
  that <with|mode|math|C> is in particular torsion-free). Then, modulo
  replacing each <with|mode|math|\<Phi\><rsub|i>> by the operator
  <with|mode|math|<wide|\<Phi\>|~><rsub|i>> with

  <\expand|equation*>
    <wide|\<Phi\>|~><rsub|i>(f<rsub|1>,\<ldots\>,f<rsub|i>)=<frac|1|i!>*<big|\
    sum><rsub|\<sigma\>\<in\><with|math font|Euler|S><rsub|i>>\<Phi\><rsub|i>\
    (f<rsub|\<sigma\>(1)>,\<ldots\>,f<rsub|\<sigma\>(i)>),
  </expand>

  we may assume without loss of generality that the
  <with|mode|math|\<Phi\><rsub|i>> are symmetric. Under this additional
  symmetry assumption, the decomposition (<reference|hom-dec>) is actually
  unique, and we call <with|mode|math|\<Phi\><rsub|i>> <with|font
  shape|italic|the> homogeneous part of <with|mode|math|\<Phi\>> of degree
  <with|mode|math|i>.

  <proposition|Let <with|mode|math|\<Phi\>:C[[<value|MM>]]<rsup|i>\<rightarro\
  w\>C[[<value|MN>]]> be a Noetherian operator with a multilinear
  decomposition <with|mode|math|(M<rsub|i>)<rsub|i\<in\><with|math
  font|Bbb*|N>>>, such that <with|mode|math|M<rsub|i>> is symmetric and of
  arity <with|mode|math|i> for each <with|mode|math|i\<in\><with|math
  font|Bbb*|N>>. If <with|mode|math|C> is torsion-free and
  <with|mode|math|\<Phi\>=0>, then <with|mode|math|M<rsub|i>=0> for each
  <with|mode|math|i\<in\><with|math font|Bbb*|N>>.>

  <\proof>
    We observe that it suffices to prove that
    <with|mode|math|\<Phi\><rsub|i>=0> for each
    <with|mode|math|i\<in\><with|math font|Bbb*|N>>, since the
    <with|mode|math|M<rsub|i>> are symmetric and <with|mode|math|C> is
    torsion-free. Assume the contrary and let
    <with|mode|math|f\<in\>C[[<value|MM>]]> be such that
    <with|mode|math|\<Phi\><rsub|i>(f)\<neq\>0> for some <with|mode|math|i>.
    Choose <with|mode|math|<value|mm>\<in\><value|MS>=<big|cup><rsub|i\<in\>I\
    >supp \<Phi\><rsub|i>(f)\<neq\>\<varnothing\>> is Noetherian. The
    Noetherianity of <with|mode|math|(\<Phi\><rsub|i>(f))<rsub|i\<in\><with|m\
    ath font|Bbb*|N>>> implies that there exist only a finite number of
    indices <with|mode|math|i>, such that
    <with|mode|math|<value|mm>\<in\>supp <format|no line
    break>\<Phi\><rsub|i>(f)>. Let <with|mode|math|i<rsub|1>\<less\>\<cdots\>\
    \<less\>i<rsub|n>> be those indices.

    Let <with|mode|math|c<rsub|k>=\<Phi\><rsub|i<rsub|k>>(f)<rsub|<value|mm>>\
    > for all <with|mode|math|k\<in\>{1,\<ldots\>,n}>. For any
    <with|mode|math|l\<in\>{1,\<ldots\>,n}>, we have
    <with|mode|math|\<Phi\><rsub|i<rsub|k>>(l*f)<rsub|<value|mm>>=l<rsup|i<rs\
    ub|k>>*c<rsub|k>>, by multilinearity. On the other hand,
    <with|mode|math|\<Phi\>(l*f)<rsub|<value|mm>>=\<Phi\><rsub|i<rsub|1>>(l*f\
    )<rsub|<value|mm>>+\<cdots\>+\<Phi\><rsub|i<rsub|n>>(l*f)<rsub|<value|mm>\
    >=0> for each <with|mode|math|l>, so that

    <expand|equation*|<left|(><expand|tabular*|<tformat|<table|<row|<cell|1>|\
    <cell|\<cdots\>>|<cell|1>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>\
    >|<row|<cell|n<rsup|i<rsub|1>>>|<cell|\<cdots\>>|<cell|n<rsup|i<rsub|n>>>\
    >>>><right|)><left|(><expand|tabular*|<tformat|<table|<row|<cell|c<rsub|1\
    >>>|<row|<cell|\<vdots\>>>|<row|<cell|c<rsub|n>>>>>><right|)>=0.>

    The matrix on the left hand side admits an inverse with rational
    coefficients (indeed, by the sign rule of Descartes, a real polynomial
    <with|mode|math|\<alpha\><rsub|1>*x<rsup|i<rsub|1>>+\<cdots\>+\<alpha\><r\
    sub|n>*x<rsup|i<rsub|n>>> cannot have <with|mode|math|n> distinct
    positive zeros unless <with|mode|math|\<alpha\><rsub|1>=\<cdots\>=\<alpha\
    \><rsub|n>=0>). Consequently, an integer multiple of the vector on the
    right hand side vanishes. We infer that
    <with|mode|math|c<rsub|1>=\<cdots\>=c<rsub|n>=0>, since
    <with|mode|math|C> is torsion-free. This contradiction completes the
    proof.
  </proof>

  <section|The algebraic implicit function theorem><label|op::ift>

  Let <with|mode|math|<value|MM>> and <with|mode|math|<value|MN>> be monomial
  sets and let <with|mode|math|\<Phi\>:C[[<value|MM>]]\<times\>C[[<value|MN>]\
  ]\<rightarrow\>C[[<value|MM>]],(f,g)\<mapsto\>\<Phi\>(f,g)> be a Noetherian
  operator. We call <with|mode|math|\<Phi\>> <with|font shape|italic|strictly
  extensive in <with|mode|math|f>> if there exists a multilinear
  decomposition <with|mode|math|(M<rsub|i>)<rsub|i\<in\>I>> of
  <with|mode|math|\<Phi\>>, such that for all <with|mode|math|i>,
  <with|mode|math|(<value|mv><rsub|1>,\<ldots\>,<value|mv><rsub|\|i\|>)\<in\>\
  (<value|MM>\<amalg\><value|MN>)<rsup|\|i\|>>,
  <with|mode|math|1\<leqslant\>j\<leqslant\>\|i\|> and
  <with|mode|math|<value|mm>\<in\>supp M<rsub|i>(<value|mv><rsub|1>,\<ldots\>\
  ,<value|mv><rsub|\|i\|>)>, we have <with|mode|math|<value|mv><rsub|j>\<in\>\
  <value|MM>\<Rightarrow\><value|mm>\<prec\><value|mv><rsub|j>>. In
  particular, such a <with|mode|math|\<Phi\>> is contracting in
  <with|mode|math|f>. The main objective of this section will be to prove the
  following theorem:

  <\theorem>
    <label|ifth2>Let <with|mode|math|\<Phi\>:C[[<value|MM>]]\<times\>C[[<valu\
    e|MN>]]\<rightarrow\>C[[<value|MM>]],(f,g)\<mapsto\>\<Phi\>(f,g)> be a
    Noetherian operator, which is strictly extensive in <with|mode|math|f>.
    Then for each <with|mode|math|g\<in\>C[[<value|MN>]]> the operator
    <with|mode|math|\<Phi\>(\<cdot\>,g)> on <with|mode|math|C[[<value|MM>]]>
    has a unique fixed point <with|mode|math|\<Psi\>(g)>, and the operator
    <with|mode|math|\<Psi\>:C[[<value|MN>]]\<rightarrow\>C[[<value|MM>]]> is
    Noetherian.
  </theorem>

  <subsection|Iteration of choice operators with
  parameters><label|op::iterchoice>

  Let <with|mode|math|\<Phi\>:C[[<value|MM>]]\<times\>C[[<value|MN>]]\<righta\
  rrow\>C[[<value|MM>]]> be as in theorem <reference|ifth2> and let
  <with|mode|math|\<theta\>:\<Sigma\>\<rightarrow\><apply|PS>(<value|MM>)> be
  the natural Noetherian choice operator associated to
  <with|mode|math|\<Phi\>>. The fact that <with|mode|math|\<Phi\>> is
  strictly extensive in <with|mode|math|f> implies that
  <with|mode|math|\<theta\>> may be assumed to be <with|font
  shape|italic|strictly extensive> on <with|mode|math|<value|MM>>, i.e.

  <expand|equation*|\<forall\>\<sigma\>\<in\>\<Sigma\>,\<forall\><value|mm>\<\
  in\>(im \<sigma\>[\<cdot\>]\<cap\><value|MM>),\<forall\><value|mn>\<in\>\<t\
  heta\>(\<sigma\>),<space|1spc><value|mn>\<prec\><value|mm>.>

  Also, let <with|mode|math|\<iota\>:\<Delta\><rsub|<value|MN>>\<rightarrow\>\
  <apply|PS>(<value|MN>)> be the natural Noetherian choice operator
  associated to the identity mapping <with|mode|math|Id<rsub|<value|MN>>:C[[<\
  value|MN>]]\<rightarrow\>C[[<value|MN>]]>. Actually, we take
  <with|mode|math|\<Delta\><rsub|<value|MN>>={\<delta\><rsub|<value|mn>>\|<va\
  lue|mn>\<in\><value|MN>}>, with <with|mode|math|\|\<delta\><rsub|<value|mn>\
  >\|=1,\<delta\><rsub|<value|mn>>[1]=<value|mn>><with|mode|math|> and
  <with|mode|math|\<iota\>(\<delta\><rsub|n>)={<value|mn>}> for all
  <with|mode|math|<value|mn>\<in\><value|MN>>.

  Now consider the sets <with|mode|math|\<Tau\>=\<amalg\><rsub|h\<in\><with|m\
  ath font|Bbb*|N>>\<Tau\><rsub|h>> of <with|mode|math|(<value|MM>\<amalg\><v\
  alue|MN>)>-labeled combinatorial structures, where the
  <with|mode|math|\<Tau\><rsub|d>> are defined by

  <expand|eqnarray*|<tformat|<table|<row|<cell|\<Tau\><rsub|0>>|<cell|=>|<cel\
  l|\<Sigma\><rsub|<value|MN>><space|0.4spc>;>>|<row|<cell|\<Tau\><rsub|d+1>>\
  |<cell|=>|<cell|(\<Sigma\>\\\<Sigma\><rsub|<value|MN>>)\<circ\>(\<Tau\><rsu\
  b|d>\<amalg\>\<Delta\><rsub|<value|MN>>).>>>>>

  For each <with|mode|math|\<tau\>\<in\>\<Tau\>>, the minimal
  <with|mode|math|d\<in\><with|math font|Bbb*|N>> with
  <with|mode|math|\<tau\>\<in\>\<Tau\><rsub|d>> is called the <with|font
  shape|italic|depth> of <with|mode|math|\<tau\>>. We have a natural choice
  operator <with|mode|math|\<xi\>:\<Tau\>\<rightarrow\><apply|PS>(<value|MM>)\
  >, which is defined componentwise by

  <expand|eqnarray*|<tformat|<table|<row|<cell|\<xi\><rsub|\|\<Tau\><rsub|0>>\
  >|<cell|=>|<cell|\<theta\><rsub|\|\<Sigma\><rsub|<value|MN>>><space|0.4spc>\
  ;>>|<row|<cell|\<xi\><rsub|\|\<Tau\><rsub|d+1>>>|<cell|=>|<cell|\<theta\><r\
  sub|\|\<Sigma\>\\\<Sigma\><rsub|<value|MN>>>\<circ\>(\<xi\><rsub|\|\<Tau\><\
  rsub|d>>\<amalg\>\<iota\><rsub|\|\<Delta\><rsub|<value|MN>>>).>>>>>

  Here <with|mode|math|\<xi\><rsub|\|\<Tau\><rsub|d>>\<amalg\>\<iota\><rsub|\\
  |\<Delta\><rsub|<value|MN>>>:\<Tau\><rsub|d>\<amalg\>\<Delta\><rsub|<value|\
  MN>>\<rightarrow\><apply|PS>(<value|MM>\<amalg\><value|MN>)> stands for the
  choice operator which coincides with <with|mode|math|\<xi\>> on
  <with|mode|math|\<Tau\><rsub|d>> and with <with|mode|math|\<iota\>> on
  <with|mode|math|\<Delta\><rsub|<value|MN>>>. Similarly, the componentwise
  definition of <with|mode|math|\<xi\>> means that we take
  <with|mode|math|\<xi\>=<big|amalg><rsub|d\<in\><with|math
  font|Bbb*|N>>\<xi\><rsub|\|\<Tau\><rsub|d>>>. In figure
  <reference|iter-fig> one finds an illustration of the action of
  <with|mode|math|\<xi\>> on a structure in <with|mode|math|\<Tau\>>. We will
  also call <with|mode|math|\<theta\><rsup|\<ast\>,<value|MN>>> the
  <with|font shape|italic|iteration of <with|mode|math|\<theta\>> with
  parameters in <with|mode|math|<value|MN>>>.

  <expand|big-figure|<postscript|iter.ps|*2/3|*2/3||||>|<label|iter-fig>Illus\
  tration of the action of the iterated choice operator
  <with|mode|math|\<xi\>=\<theta\><rsup|\<ast\>,<value|MN>>> on a structure
  in <with|mode|math|\<Tau\>=\<Sigma\><rsup|\<ast\>,<value|MN>>>. The
  connected ``inputs'' and ``outputs'' should match in a similar way as in
  figure <reference|comp-fig>. The white and black dots correspond to
  monomials in <with|mode|math|<value|MM>> resp.
  <with|mode|math|<value|MN>>.>

  <theorem|<label|nco>Let <with|mode|math|\<Sigma\>> be a set of
  <with|mode|math|(<value|MM>\<amalg\><value|MN>)>-labeled structures and
  <with|mode|math|\<theta\>:\<Sigma\>\<rightarrow\><apply|PS>(<value|MM>)> a
  Noetherian choice operator which is extensive on
  <with|mode|math|<value|MM>>. Then <with|mode|math|\<theta\><rsup|\<ast\>,<v\
  alue|MN>>> is Noetherian.>

  <\proof>
    Let <with|mode|math|<value|MA>> be a Noetherian subset of
    <with|mode|math|<value|MN>>. Assume that there exists a bad sequence

    <equation|(\<upsilon\><rsub|1>,<value|mm><rsub|1>),(\<upsilon\><rsub|2>,<\
    value|mm><rsub|2>),\<ldots\>,<label|bad-seq>>

    with <with|mode|math|\<upsilon\><rsub|i>\<in\>\<Tau\><rsub|<value|MA>>>
    and <with|mode|math|<value|mm><rsub|i>\<in\>\<xi\>(\<tau\><rsub|i>)> for
    each <with|mode|math|i>. We may assume that we have chosen this bad
    sequence minimally in the sense that the depth of each
    <with|mode|math|\<upsilon\><rsub|i>> is minimal in the set of all bad
    sequences with fixed <with|mode|math|(\<upsilon\><rsub|1>,<value|mm><rsub\
    |1>),\<ldots\>,(\<upsilon\><rsub|i-1>,<value|mm><rsub|i-1>)>. Writing
    <with|mode|math|\<upsilon\><rsub|i>=\<sigma\><rsub|i>[\<tau\><rsub|i,1>,\\
    <ldots\>,\<tau\><rsub|i,\|\<sigma\><rsub|i>\|>]> for each
    <with|mode|math|i>, we claim that the induced ordering on
    <with|mode|math|<wide|<value|MB>|\<check\>>={(\<tau\><rsub|i,j>,<value|mw\
    ><rsub|i,j>)\|i\<in\><with|math font|Bbb*|N>\<wedge\>1\<leqslant\>j\<leqs\
    lant\>\|\<tau\><rsub|i>\|\<wedge\><value|mw><rsub|i,j>\<in\>\<xi\>(\<tau\\
    ><rsub|i,j>)}> is Noetherian.

    Indeed, suppose for contradiction that the claim is false, and let

    <expand|equation*|(\<tau\><rsub|i<rsub|1>,j<rsub|1>>,<value|mw><rsub|i<rs\
    ub|1>,j<rsub|1>>),(\<tau\><rsub|i<rsub|2>,j<rsub|2>>,<value|mw><rsub|i<rs\
    ub|2>,j<rsub|2>>),\<ldots\>>

    be a bad sequence. Notice that <with|mode|math|(\<tau\><rsub|i<rsub|k>,j<\
    rsub|k>>,<value|mw><rsub|i<rsub|k>,j<rsub|k>>)\<prec\>(\<upsilon\><rsub|i\
    <rsub|k>>,<value|mm><rsub|i<rsub|k>>)> for all <with|mode|math|k>, since
    <with|mode|math|\<theta\>> is strictly extensive on
    <with|mode|math|<value|MM>>. Hence, taking <with|mode|math|k> such that
    <with|mode|math|i<rsub|k>> is minimal, the sequence

    <expand|equation*|(\<upsilon\><rsub|1>,<value|mm><rsub|1>),\<ldots\>,(\<u\
    psilon\><rsub|i<rsub|k>-1>,<value|mm><rsub|i<rsub|k>-1>),(\<tau\><rsub|i<\
    rsub|k>,j<rsub|k>>,<value|mw><rsub|i<rsub|k>,j<rsub|k>>),(\<tau\><rsub|i<\
    rsub|k+1>,j<rsub|k+1>>,<value|mw><rsub|i<rsub|k+1>,j<rsub|k+1>>),\<ldots\\
    >>

    is also bad. This contradicts the minimality of (<reference|bad-seq>).

    At this point we have proved that <with|mode|math|<wide|<value|MB>|\<chec\
    k\>>> is Noetherian. In particular, <with|mode|math|<value|MB>={<value|mw\
    >\|(\<upsilon\>,<value|mw>)\<in\><wide|<value|MB>|\<check\>>}> is
    Noetherian. Hence, there exist <with|mode|math|i<rsub|1>\<gtr\>i<rsub|2>\\
    <gtr\>\<cdots\>> with <with|mode|math|(\<sigma\><rsub|i<rsub|1>>,<value|m\
    m><rsub|i<rsub|1>>)\<succcurlyeq\>(\<sigma\><rsub|i<rsub|2>>,<value|mm><r\
    sub|i<rsub|2>>)\<succcurlyeq\>\<cdots\>>, since
    <with|mode|math|\<sigma\><rsub|1>,\<sigma\><rsub|2>,\<ldots\>\<in\>\<Sigm\
    a\><rsub|\|<value|MB>\<amalg\><value|MA>>>. If
    <with|mode|math|<value|mm><rsub|i<rsub|m>>\<succ\><value|mm><rsub|i<rsub|\
    n>>> for some <with|mode|math|m\<gtr\>n>, then
    <with|mode|math|(\<upsilon\><rsub|i<rsub|m>>,<value|mm><rsub|i<rsub|m>>)\\
    <succ\>(\<upsilon\><rsub|i<rsub|n>>,<value|mm><rsub|i<rsub|n>>)> and we
    are done. Otherwise, <with|mode|math|(\<sigma\><rsub|i<rsub|1>>,<format|n\
    o line break><value|mm><rsub|i<rsub|1>>)=(\<sigma\><rsub|i<rsub|2>>,<form\
    at|no line break><value|mm><rsub|i<rsub|2>>)=\<cdots\>>. Now for every
    <with|mode|math|1\<leqslant\>p\<leqslant\>\|\<sigma\><rsub|i<rsub|1>>\|>,
    the <with|mode|math|(\<tau\>,<value|mw>)\<in\><wide|<value|MB>|\<check\>>\
    \<amalg\>{(\<delta\><rsub|<value|mn>>,<value|mn>)\|<value|mn>\<in\><value\
    |MA>}> with <with|mode|math|<value|mw>=\<sigma\><rsub|i<rsub|1>>[p]> are
    finite in number, since they form an antichain. Consequently,
    <with|mode|math|\<upsilon\><rsub|i<rsub|1>>,\<upsilon\><rsub|i<rsub|2>>,\\
    <ldots\>> can only take a finite number of values and there exist
    <with|mode|math|m\<less\>n> with <with|mode|math|(\<upsilon\><rsub|i<rsub\
    |m>>,<value|mm><rsub|i<rsub|m>>)=(\<upsilon\><rsub|i<rsub|n>>,<value|mm><\
    rsub|i<rsub|n>>)>. This contradicts the badness of (<reference|bad-seq>).
  </proof>

  <subsection|Proof of the implicit function theorem>

  With the notations from the previous section, let
  <with|mode|math|\<Theta\>:\<Sigma\>\<rightarrow\>C[[<value|MM>]]> be a
  mapping, such that <with|mode|math|supp
  \<Theta\>(\<sigma\>)\<subseteq\>\<theta\>(\<sigma\>)> for all
  <with|mode|math|\<sigma\>\<in\>\<Sigma\>>, and such that
  (<reference|noethop-fund>) holds for all
  <with|mode|math|f\<in\>C[[<value|MM>]]\<times\>[[<value|MN>]]>. We now
  define <with|mode|math|\<Xi\>:\<Tau\>\<rightarrow\>C[[<value|MM>]]>
  componentwise as follows:

  <expand|eqnarray*|<tformat|<table|<row|<cell|\<Xi\><rsub|\|\<Tau\><rsub|0>>\
  >|<cell|=>|<cell|\<Theta\><rsub|\|\<Sigma\><rsub|<value|MN>>><space|0.4spc>\
  ;>>|<row|<cell|\<Xi\><rsub|\|\<Tau\><rsub|d+1>>>|<cell|=>|<cell|\<Theta\><r\
  sub|\|\<Sigma\>\\\<Sigma\><rsub|<value|MN>>>\<circ\>(\<Xi\><rsub|\|\<Tau\><\
  rsub|d>>\<amalg\>\<Iota\><rsub|\|\<Delta\><rsub|<value|MN>>>),>>>>>

  where <with|mode|math|\<Iota\><rsub|\|\<Delta\><rsub|<value|MN>>>:\<Delta\>\
  <rsub|<value|MN>>\<rightarrow\>C[[<value|MN>]];\<delta\><rsub|<value|mn>>\<\
  mapsto\><value|mn>>. Theorem <reference|nco> implies that we may define a
  function <with|mode|math|\<Psi\>:C[[<value|MN>]]\<rightarrow\>C[[<value|MM>\
  ]]> by the formula

  <equation|\<Psi\>(g)=<big|sum><rsub|\<tau\>\<in\>\<Tau\>><left|(><big|prod>\
  <rsub|p=1><rsup|\|\<tau\>\|>g<rsub|\<tau\>[p]><right|)>*\<Xi\>(\<tau\>).<la\
  bel|psi-def>>

  We can now prove the following more explicit version of the implicit
  function theorem.

  <theorem|<label|ifth3>Let <with|mode|math|\<Phi\>:C[[<value|MM>]]\<times\>C\
  [[<value|MN>]]\<rightarrow\>C[[<value|MM>]],(f,g)\<mapsto\>\<Phi\>(f,g)> be
  a Noetherian operator, which is strictly extensive in <with|mode|math|f>.
  Then the Noetherian operator <with|mode|math|\<Psi\>:C[[<value|MN>]]\<right\
  arrow\>C[[<value|MM>]]> defined by <with|font
  shape|right|(<reference|psi-def>)> is unique with the property that
  <with|mode|math|\<Psi\>(g)=\<Phi\>(\<Psi\>(g),g)> for all
  <with|mode|math|g\<in\>C[[<value|MN>]]>.>

  <\proof>
    Identifying <with|mode|math|C[[<value|MM>]]\<times\>C[[<value|MN>]]> and
    <with|mode|math|C[[<value|MM>\<amalg\><value|MN>]]> via the natural
    isomorphism, we have

    <expand|equation*|(\<Psi\>(g),g)=\<Psi\>(g)+g=<big|sum><rsub|\<tau\>\<in\\
    >\<Tau\>\<amalg\>\<Delta\><rsub|<value|MN>>><left|(><big|prod><rsub|q=1><\
    rsup|\|\<tau\>\|>g<rsub|\<tau\>[q]><right|)>*(\<Xi\>\<amalg\>\<Iota\>)(\<\
    tau\>),>

    for all <with|mode|math|g\<in\>C[[<value|MN>]]>. Similarly, for all
    <with|mode|math|(f,g)\<in\>C[[<value|MM>]]\<times\>C[[<value|MN>]]>, we
    have

    <expand|equation*|\<Phi\><rsub|rest>(f,g)=\<Phi\>(f,g)-\<Phi\>(0,g)=<big|\
    sum><rsub|\<sigma\>\<in\>\<Sigma\>\\\<Sigma\><rsub|<value|MN>>><left|(><b\
    ig|prod><rsub|p=1 ><rsup|\|\<sigma\>\|>(f+g)<rsub|\<sigma\>[p]><right|)>*\
    (\<Theta\><rsub|\|\<Sigma\>\\\<Sigma\><rsub|<value|MN>>>)(\<sigma\>).>

    Applying (<reference|comp-eq>), we conclude that

    <expand|eqnarray*|<tformat|<table|<row|<cell|\<Psi\>(g)>|<cell|=>|<cell|<\
    big|sum><rsub|\<tau\>\<in\>\<Tau\><rsub|0>><left|(><big|prod><rsub|q=1
    ><rsup|\|\<tau\>\|>g<rsub|\<tau\>[q]><right|)>*\<Xi\>(\<tau\>)+<big|sum><\
    rsub|\<tau\>\<in\>\<Tau\>\\\<Tau\><rsub|0>><left|(><big|prod><rsub|q=1><r\
    sup|\|\<tau\>\|>g<rsub|\<tau\>[q]><right|)>*\<Xi\>(\<tau\>)>>|<row|<cell|\
    >|<cell|=>|<cell|<big|sum><rsub|\<tau\>\<in\>\<Tau\><rsub|0>><left|(><big\
    |prod><rsub|q=1><rsup|\|\<tau\>\|>g<rsub|\<tau\>[q]><right|)>*\<Xi\>(\<ta\
    u\>)+<big|sum><rsub|\<upsilon\>\<in\>(\<Sigma\>\\\<Sigma\><rsub|<value|MN\
    >>)\<circ\>(\<Tau\>\<amalg\>\<Delta\><rsub|<value|MN>>)><left|(><big|prod\
    ><rsub|r=1><rsup|\|\<upsilon\>\|>g<rsub|\<upsilon\>[r]><right|)>*(\<Theta\
    \><rsub|\|\<Sigma\>\\\<Sigma\><rsub|<value|MN>>>\<circ\>(\<Xi\><rsub|\|\<\
    Tau\>>\<amalg\>\<Iota\><rsub|\|\<Delta\><rsub|<value|MN>>>))(\<upsilon\>)\
    >>|<row|<cell|>|<cell|=>|<cell|\<Phi\>(0,g)+\<Phi\><rsub|rest>(\<Psi\>(g)\
    ,g)>>|<row|<cell|>|<cell|=>|<cell|\<Phi\>(\<Psi\>(g),g),>>>>>

    for all <with|mode|math|g\<in\>C[[<value|MN>]]>. The uniqueness of
    <with|mode|math|\<Psi\>> follows in the same way as in the proof of
    theorem <reference|ifth1>, since <with|mode|math|\<Phi\>> is contracting
    in <with|mode|math|f>.
  </proof>

  <corollary|Let <with|mode|math|math font|cal|M> be a multilinear type. If
  <with|mode|math|\<Phi\>> is of type <with|mode|math|math font|cal|M> in
  theorem <reference|ifth2>, then so is <with|mode|math|\<Psi\>>.<htab|5mm><w\
  ith|mode|math|\<box\>>>

  <subsection|Applications>

  <\example>
    Let us first show that the classical implicit function theorem for
    bivariate power series follows from theorem <reference|ifth1>. So let
    <with|mode|math|f=<big|sum><rsub|i,j>f<rsub|i,j>*v<rsup|i>*u<rsup|j>\<in\\
    >C[[v,u]]> be a bivariate power series with
    <with|mode|math|f<rsub|0,0>=0> and <with|mode|math|f<rsub|1,0>\<neq\>0>.
    Then we have to prove that there exists a unique power series
    <with|mode|math|g\<in\>u*C[[u]]> with

    <expand|equation*|f(g(u),u)=0.>

    Modulo division of <with|mode|math|f> by
    <with|mode|math|f<rsub|1>=<big|sum><rsub|j>f<rsub|1,j>*u<rsup|j>> and
    passing <with|mode|math|f<rsub|1>> to the other side of the equation, the
    problem can be reduced to solving the equation

    <equation|g(u)=f(g(u),u)<label|ieex1>>

    for <with|mode|math|f\<in\>C[[v,u]]> with
    <with|mode|math|f<rsub|0,0>=f<rsub|1,0>=0>. Under these assumptions, the
    series <with|mode|math|f> corresponds to an operator
    <with|mode|math|\<Phi\>:u*C[[u]]\<times\>{0}\<rightarrow\>u*C[[u]];(g,0)\\
    <mapsto\>f(g,u)=<big|sum><rsub|i,j>f<rsub|i,j>*g(u)<rsup|i>*u<rsup|j>>.
    Theorem <reference|ifth1> then provides us with a unique mapping
    <with|mode|math|\<Psi\>:{0}\<rightarrow\>v*C[[v]]> with
    <with|mode|math|\<Psi\>(0)=\<Phi\>(\<Psi\>(0),0)>. Taking
    <with|mode|math|g=\<Psi\>(0)>, we thus find the unique solution to
    (<reference|ieex1>).

    Moreover, theorem <reference|ifth3> actually tells us that the ``natural
    solution'' to (<reference|ieex1>), which is obtained by recursively
    plugging in the left hand side of the equation in the right hand side, is
    indeed a solution. We also notice that by applying theorem
    <reference|ifth3> to the operator

    <expand|eqnarray*|<tformat|<table|<row|<cell|\<Phi\>:u*C[f<rsub|i>][[u]]\\
    <times\>{0}>|<cell|\<longrightarrow\>>|<cell|u*C[f<rsub|i>][[u]];>>|<row|\
    <cell|(g,0)>|<cell|\<longmapsto\>>|<cell|f(g,u)=<big|sum><rsub|i>f<rsub|i\
    >*g(u)<rsup|i>>>>>>

    instead of the previous <with|mode|math|\<Phi\>>, we actually get a
    solution <with|mode|math|g(u)> in terms of the coefficients of
    <with|mode|math|f>.
  </example>

  <\example>
    The above example naturally generalizes to the multivariate case. What is
    more, we may consider non commutative power series in several variables.
    Given symbols <with|mode|math|u<rsub|1>,\<ldots\>,u<rsub|n>>, we order
    the free monomial monoid <with|mode|math|{u<rsub|1>,\<ldots\>,u<rsub|n>}<\
    rsup|\<star\>>> in <with|mode|math|u<rsub|1>,\<ldots\>,u<rsub|n>><with|mo\
    de|math|> by the ordering <with|mode|math|\<succcurlyeq\>> from example
    <reference|ex-orderings>.4. Then the ring of non commutative power series
    in <with|mode|math|u<rsub|1>,\<ldots\>,u<rsub|n>> over <with|mode|math|C>
    is given by <with|mode|math|C\<langle\>\<langle\>u<rsub|1>,\<ldots\>,<for\
    mat|no line break>u<rsub|n>\<rangle\>\<rangle\>=C[[{u<rsub|1>,\<ldots\>,<\
    format|no line break>u<rsub|n>}<rsup|\<star\>>]]>. Now consider the
    equation

    <equation|g(u<rsub|1>,\<ldots\>,u<rsub|n>)=f(g(u<rsub|1>,\<ldots\>,u<rsub\
    |n>),u<rsub|1>,\<ldots\>,u<rsub|n>),<label|ieex2>>

    for <with|mode|math|f\<in\>C[[v,u<rsub|1>,\<ldots\>,u<rsub|n>]]> with
    <with|mode|math|f<rsub|1>=f<rsub|v>=0>. Then it may be proved in a
    similar way as in the previous example that this equation admits a unique
    infinitesimal solution. Again, this solution is equal to the natural
    expression which is obtained when repreatedly plugging in the left hand
    side of (<reference|ieex2>) into the right hand side. Again, the solution
    may be expressed naturally in terms of the coefficients of the equation.
  </example>

  <\example>
    Let <with|mode|math|<with|math font|Bbb*|T>=C[[<value|MM>]]> be the field
    of transseries in <with|mode|math|x>, whose logarithmic and exponential
    depths are bounded by some integer <with|mode|math|d\<in\><with|math
    font|Bbb*|N>> <apply|cite|vdH:phd>. The transseries
    <with|mode|math|e<rsup|-x<rsup|2>>+e<rsup|-e<rsup|x>>+e<rsup|-e<rsup|x>/x\
    >+\<cdots\>> is an example of an element in <with|mode|math|math
    font|Bbb*|T> if <with|mode|math|d=2>. Now consider the integral equation

    <equation|f=g+<apply|I>f<rsup|2>,<label|ieex3>>

    for <with|mode|math|f,g\<in\><with|math font|Bbb*|T>> and where
    <with|mode|math|f,g\<prec\>e<rsup|-x>>. Taking
    <with|mode|math|<value|MN>={<value|mm>\<in\><value|MM>\|<value|mm>\<prec\\
    >e<rsup|-x>}> we may consider the operator
    <with|mode|math|\<Phi\>:C[[<value|MN>]]\<times\>C[[<value|MN>]]\<rightarr\
    ow\>C[[<value|MN>]];(f,g)\<mapsto\>g+<big|int>f<rsup|2>>. Theorem
    <reference|ifth1> then implies that there exists a unique function
    <with|mode|math|\<Psi\>:C[[<value|MN>]]\<rightarrow\>C[[<value|MN>]]>,
    such that <with|mode|math|f=\<Psi\>(g)> satisfies (<reference|ieex3>) for
    all <with|mode|math|g\<in\>C[[<value|MN>]]>. Theorem <reference|ifth3>
    and its corollary imply that <with|mode|math|\<Psi\>> is actually an
    integral Noetherian operator. Modulo regrouping terms, this means that
    the series

    <expand|equation*|f=g+<apply|I>g<rsup|2>+2<apply|I>g<apply|I>g<rsup|2>+4<\
    apply|I>g<apply|I>g<apply|I>g<rsup|2>+<apply|I>(<apply|I>g<rsup|2>)<rsup|\
    2>+\<cdots\>>

    is indeed a solution to (<reference|ieex3>) for all
    <with|mode|math|g\<in\>C[[<value|MN>]]>.
  </example>

  <\example>
    Let <with|mode|math|<with|math font|Bbb*|T>=C[[<value|MM>]]> now be the
    field of transseries in <with|mode|math|x>, whose exponential and
    logarithmic depths are bounded by <with|mode|math|\<omega\>>. Consider
    the functional equation

    <equation|f(x)=g(x)+h(x)*f(x<rsup|2>)+f<rprime|'>(e<rsup|log<rsup|2>
    x>).<label|ieex4>>

    for <with|mode|math|f,g,h\<in\><with|math font|Bbb*|T>> and
    <with|mode|math|f,g,h\<prec\>e<rsup|-x>>. Taking
    <with|mode|math|<value|MN>={<value|mm>\<in\><value|MM>\|<value|mm>\<prec\\
    >e<rsup|-x>}>, theorem <reference|ifth3> yields a Noetherian operator
    <with|mode|math|\<Psi\>:C[[<value|MN>]]\<times\>C[[<value|MN>]]\<rightarr\
    ow\>C[[<value|MN>]];(g,h)\<mapsto\>\<Psi\>(g,h)>, such that
    <with|mode|math|f(x)=\<Psi\>(g,h)> is a solution to (<reference|ieex4>).
    Moreover, <with|mode|math|\<Psi\>> is what one could call a
    ``differential compositional Noetherian operator''.
  </example>

  <\example>
    For independent infinitely large variables <with|mode|math|x,y\<succ\>1>
    consider the monomial group

    <expand|equation*|<value|MM>=x<rsup|<with|math
    font|Bbb*|R>>*y<rsup|<with|math font|Bbb*|R>>*e<rsup|x*<with|math
    font|Bbb*|R>>*e<rsup|y*<with|math font|Bbb*|R>>*e<rsup|x*e<rsup|x+*y>*<wi\
    th|math font|Bbb*|R>>>

    and its subset

    <expand|equation*|<value|MN>=x<rsup|<with|math
    font|Bbb*|R>>*y<rsup|<with|math font|Bbb*|R>>*e<rsup|x*<with|math
    font|Bbb*|R>>*e<rsup|y*<with|math font|Bbb*|R>>*e<rsup|-x*e<rsup|x+*y>*<w\
    ith|math font|Bbb*|R><rsup|+><rsub|\<ast\>>>.>

    Then the equation

    <equation|f=e<rsup|-x*e<rsup|x*+y>>+<frac|\<partial\>f|\<partial\>x>**<fr\
    ac|\<partial\>f|\<partial\>y>+e<rsup|-x-3*y>*<frac|\<partial\><rsup|3>f|\\
    <partial\>x<rsup|3>>**<frac|\<partial\><rsup|2>f|\<partial\>x*\<partial\>\
    y><label|ieex5>>

    admits a unique solution <with|mode|math|f\<in\><with|math
    font|Bbb*|R>[[<value|MN>]]>, which can be expressed as a ``partial
    differential series''. Theorem <reference|ifth1> can not be directly
    applied in this case.
  </example>

  <\bibliography|bib|alpha|noeth.bib>
    <apply|bibitem*|DG86><label|bib-DG86>B. I. Dahn and P. Gring.
    <apply|newblock>Notes on exponential-logarithmic terms.
    <apply|newblock><with|font shape|italic|Fundamenta Mathematicae>,
    127:45--50, 1986.

    <apply|bibitem*|92><label|bib-Ec92>J. calle. <apply|newblock><with|font
    shape|italic|Introduction aux fonctions analysables et preuve
    constructive de la conjecture de Dulac>. <apply|newblock>Hermann,
    collection: Actualits mathmatiques, 1992.

    <apply|bibitem*|Hah07><label|bib-Hahn1907>H. Hahn. <apply|newblock>ber
    die nichtarchimedischen Grensysteme. <apply|newblock><with|font
    shape|italic|Sitz. Akad. Wiss. Wien>, 116:601--655, 1907.

    <apply|bibitem*|Hig52><label|bib-Hig52>G. Higman.
    <apply|newblock>Ordering by divisibility in abstract algebras.
    <apply|newblock><with|font shape|italic|Proc. London Math. Soc.>,
    2:326--336, 1952.

    <apply|bibitem*|Mil85><label|bib-Mil85>E. C. Milner.
    <apply|newblock>Basic wqo- and bqo- theory. <apply|newblock>In Rival,
    editor, <with|font shape|italic|Graphs and orders>, pages 487--502. D.
    Reidel Publ. Comp., 1985.

    <apply|bibitem*|NW63><label|bib-NW63>C. St. J. A. Nash-Williams.
    <apply|newblock>On well-quasi-ordering finite trees.
    <apply|newblock><with|font shape|italic|Proc. Cambridge Philos. Soc.>,
    59:833--835, 1963.

    <apply|bibitem*|PC90><label|bib-PrCr90>S. Prie-Crampe.
    <apply|newblock>Der Banachsche Fixpunktsatz fr Ultrametrische Rame.
    <apply|newblock><with|font shape|italic|Results in Mathematics>,
    18:178--186, 1990.

    <apply|bibitem*|PCR93><label|bib-PrCrRib93>S. Priess-Crampe and P.
    Ribenboim. <apply|newblock>Fixed points, combs and generalized power
    series. <apply|newblock><with|font shape|italic|Abh. Math. Sem. Hamburg>,
    63:227--244, 1993.

    <apply|bibitem*|Pou85><label|bib-Pou85>M. Pouzet.
    <apply|newblock>Applications of well quasi-ordering and better
    quasi-ordering. <apply|newblock>In Rival, editor, <with|font
    shape|italic|Graphs and orders>, pages 503--519. D. Reidel Publ. Comp.,
    1985.

    <apply|bibitem*|vdH97><label|bib-vdH:phd>J. van der Hoeven.
    <apply|newblock><with|font shape|italic|Automatic asymptotics>.
    <apply|newblock>PhD thesis, cole polytechnique, France, 1997.
  </bibliography>
</body>

<\initial>
  <\collection>
    <associate|odd page margin|30mm>
    <associate|paragraph width|150mm>
    <associate|page medium|paper>
    <associate|shrinking factor|4>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|paragraph hyphenation|professional>
    <associate|reduction page bottom margin|15mm>
    <associate|page type|a4>
    <associate|font base size|11>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|show header and footer|true>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|impl-op-th|6.1>
    <associate|bib-PrCr90|<tuple|PC90|23>>
    <associate|sl-invariance|<tuple|4.4|10>>
    <associate|op::nop|<tuple|5|13>>
    <associate|op::top|<tuple|4|9>>
    <associate|noethop-sm|<tuple|5.4|14>>
    <associate|op::ift|<tuple|6|19>>
    <associate|noethop-mul|5.2>
    <associate|comp-fig|<tuple|5.2|18>>
    <associate|noeth:vdh|4.2>
    <associate|bas-seq|4.1>
    <associate|toc-20|<tuple|6.3|21>>
    <associate|toc-10|<tuple|4.2|10>>
    <associate|toc-21|<tuple|6.7|22>>
    <associate|toc-11|<tuple|4.3|11>>
    <associate|toc-12|<tuple|5|13>>
    <associate|toc-13|<tuple|5.1|13>>
    <associate|toc-14|<tuple|5.2|15>>
    <associate|comp-set|<tuple|5.3|17>>
    <associate|toc-15|<tuple|5.3|17>>
    <associate|toc-16|<tuple|5.4|18>>
    <associate|toc-17|<tuple|6|19>>
    <associate|toc-18|<tuple|6.1|19>>
    <associate|toc-19|<tuple|6.2|20>>
    <associate|bad-seq|<tuple|6.1|20>>
    <associate|hom-dec|<tuple|5.4|18>>
    <associate|bib-Ec92|<tuple|92|22>>
    <associate|bib-NW63|<tuple|NW63|23>>
    <associate|make-Noetherian|<tuple|2.4|3>>
    <associate|ex-multilin-prop|<tuple|3.6|8>>
    <associate|bib-DG86|<tuple|DG86|22>>
    <associate|bib-Mil85|<tuple|Mil85|23>>
    <associate|iter-fig|<tuple|6.1|19>>
    <associate|mult-sbilin|<tuple|3.3|6>>
    <associate|prod-ident|<tuple|3.2|5>>
    <associate|ieex1|<tuple|6.3|21>>
    <associate|ifth1|<tuple|4.7|11>>
    <associate|comp-eq|<tuple|5.3|17>>
    <associate|noeth:chop|7>
    <associate|ifth2|<tuple|6.1|19>>
    <associate|ieex2|<tuple|6.4|21>>
    <associate|ifth3|<tuple|6.3|20>>
    <associate|ieex3|<tuple|6.5|22>>
    <associate|m-part|<tuple|3.2|5>>
    <associate|ieex4|<tuple|6.6|22>>
    <associate|ieex5|<tuple|6.7|22>>
    <associate|bib-Hahn1907|<tuple|Hah07|22>>
    <associate|series-compose|<tuple|3.11|8>>
    <associate|bib-PrCrRib93|<tuple|PCR93|23>>
    <associate|der-lin-ext|3.6>
    <associate|noethop-fund|<tuple|5.2|16>>
    <associate|trunc-gclc|<tuple|4.3|10>>
    <associate|grid-fam|<tuple|3.1|4>>
    <associate|sleq1|<tuple|4.1|11>>
    <associate|sleq2|4.2>
    <associate|mce|<tuple|4.2|9>>
    <associate|noethop-elem|<tuple|5.3|14>>
    <associate|noethop-comp|<tuple|5.5|14>>
    <associate|bib-Hig52|<tuple|Hig52|23>>
    <associate|impl-op-th1|4.1>
    <associate|ex-lin-der|<tuple|3.9|8>>
    <associate|op::iterchoice|<tuple|6.1|19>>
    <associate|topifth|4.7>
    <associate|slth|4.4>
    <associate|impl-op-th2|6.3>
    <associate|bib-VdH:phd|vdH97>
    <associate|bib-vdH:phd|<tuple|vdH97|23>>
    <associate|bib-Pou85|<tuple|Pou85|23>>
    <associate|negl|<tuple|4.6|11>>
    <associate|nco|<tuple|6.2|20>>
    <associate|choice-fig|<tuple|5.1|16>>
    <associate|op::no|<tuple|2|2>>
    <associate|impl-eq-ex|<tuple|1.1|2>>
    <associate|toc-1|<tuple|1|1>>
    <associate|Noetherian|<tuple|2.3|3>>
    <associate|op::ns|<tuple|3|4>>
    <associate|toc-2|<tuple|2|2>>
    <associate|slpr|<tuple|4.5|10>>
    <associate|toc-3|<tuple|3|4>>
    <associate|toc-4|<tuple|3.1|4>>
    <associate|canmld|<tuple|5.4|18>>
    <associate|psi-def|<tuple|6.2|20>>
    <associate|toc-5|<tuple|3.2|5>>
    <associate|ex-orderings|<tuple|2.1|2>>
    <associate|nop-main|<tuple|5.1|13>>
    <associate|toc-6|<tuple|3.3|6>>
    <associate|slin-prop|<tuple|3.1|5>>
    <associate|toc-7|<tuple|3.4|8>>
    <associate|ex-lin-comp|<tuple|3.10|8>>
    <associate|nco-comp|<tuple|5.3|17>>
    <associate|toc-8|<tuple|4|9>>
    <associate|ex-lin-prop|<tuple|3.5|7>>
    <associate|toc-9|<tuple|4.1|9>>
    <associate|CM-is-strong|3.3>
    <associate|ex-lin-mult|<tuple|3.8|8>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|bib>
      Hahn1907

      Hig52

      DG86

      Ec92

      vdH:phd

      PrCr90

      PrCrRib93

      Mil85

      Pou85

      Hig52

      NW63

      Hig52

      PrCrRib93

      vdH:phd
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font series|<quote|bold>|1<space|2spc>Introduction><\
      value|toc-dots><pageref|toc-1><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|2<space|2spc>Noetherian
      orderings><value|toc-dots><pageref|toc-2><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|3<space|2spc>Noetherian
      series><value|toc-dots><pageref|toc-3><vspace|0.5fn>

      3.1<space|2spc>Noetherian series and infinite
      summation<value|toc-dots><pageref|toc-4>

      3.2<space|2spc>Algebras of Noetherian
      series<value|toc-dots><pageref|toc-5>

      3.3<space|2spc>Extension by strong linearity<value|toc-dots><pageref|to\
      c-6>

      3.4<space|2spc>Applications of strong
      linearity<value|toc-dots><pageref|toc-7>

      <vspace*|1fn><with|font series|<quote|bold>|4<space|2spc>The
      topological implicit function theorem><value|toc-dots><pageref|toc-8><v\
      space|0.5fn>

      4.1<space|2spc>Truncation of Noetherian
      series<value|toc-dots><pageref|toc-9>

      4.2<space|2spc>Stationary limits<value|toc-dots><pageref|toc-10>

      4.3<space|2spc>The implicit function
      theorem<value|toc-dots><pageref|toc-11>

      <vspace*|1fn><with|font series|<quote|bold>|5<space|2spc>Noetherian
      operators and combinatorial representations><value|toc-dots><pageref|to\
      c-12><vspace|0.5fn>

      5.1<space|2spc>Noetherian operators<value|toc-dots><pageref|toc-13>

      5.2<space|2spc>Combinatorial representations of Noetherian
      operators<value|toc-dots><pageref|toc-14>

      5.3<space|2spc>Composition of choice
      operators<value|toc-dots><pageref|toc-15>

      5.4<space|2spc>Canonical multilinear
      decompositions<value|toc-dots><pageref|toc-16>

      <vspace*|1fn><with|font series|<quote|bold>|6<space|2spc>The algebraic
      implicit function theorem><value|toc-dots><pageref|toc-17><vspace|0.5fn\
      >

      6.1<space|2spc>Iteration of choice operators with
      parameters<value|toc-dots><pageref|toc-18>

      6.2<space|2spc>Proof of the implicit function
      theorem<value|toc-dots><pageref|toc-19>

      6.3<space|2spc>Applications<value|toc-dots><pageref|toc-20>

      <vspace*|1fn><with|font series|<quote|bold>|Bibliography><value|toc-dot\
      s><pageref|toc-21><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>
